package com.iamberry.rent.service.order.mapper;

import com.iamberry.wechat.core.entity.rent.RentExchangeInfo;

import java.util.List;

/**
 * Created by muzx on 2017/4/26.
 */
public interface RentExchangeMapper {
    /**
     * 添加一条换货记录
     * 2017年4月26日
     * @author muzx
     * @param exchangeInfo
     * @return
     */
    Integer insertRentExchange(RentExchangeInfo exchangeInfo);

    /**
     * 根据订单项id查看换货记录
     * 2017年4月26日
     * @author muzx
     * @param itemId
     * @return
     */
    List<RentExchangeInfo> getExchangeInfoByItemId(RentExchangeInfo exchangeInfo);

    /**
     * 根据订单项id查看换货记录
     * 2017年4月26日
     * @author muzx
     * @param exchangeInfo
     * @return
     */
    Integer updateExchangeById(RentExchangeInfo exchangeInfo);
}
