package com.iamberry.wechat.face.admin;

import java.util.List;

import org.springframework.stereotype.Service;

import com.iamberry.wechat.core.entity.admin.AdminChildHavePermission;

public interface AdminPermissionsService {
	
	/**
	 * 根据二级管理ID，获取此二级管理员所有的权限
	 * @param id
	 * @return
	 */
	public List<AdminChildHavePermission> selectPermissionById(Integer id);
	
	/**
	 * 根据二级管理ID，保存二级管理员权限
	 * @param id
	 * @return
	 */
	public Integer insertPermissionById(AdminChildHavePermission adminChildHavePermission);
	/**
	 * 根据二级管理ID，删除所有二级权限
	 * @param id
	 * @return
	 */
	public Integer deletePermissionById(Integer adminChildId);
}
