package com.iamberry.wechat.face.coupon;

import java.util.List;

import com.iamberry.wechat.core.entity.coupon.AdminCouponItemDto;


public interface AdminCouponItemService {
	
	/**
	 * 分页查询所有优惠券使用表
	 * @param adminCouponItemDto
	 * @return
	 * @author liuzhiwei
	 */
	public List<AdminCouponItemDto> getAllCouponItem(AdminCouponItemDto adminCouponItemDto);
	
	/**
	 * 按条件查询优惠券详情表数据总数
	 * @param adminCouponItemDto
	 * @return
	 * @author liuzhiwei
	 */
	public Integer getCouponItemCount(AdminCouponItemDto adminCouponItemDto);
	
	/**
	 * 根据couponId查询优惠券详情
	 * @param couponId
	 * @return
	 * @author liuzhiwei
	 */
	public AdminCouponItemDto getCouponItemByCouponItemId(String couponItemId);
	
	/**
	 * 修改优惠券使用详情
	 * @param couponItemDto
	 * @return
	 */
	public Integer updateCouponItem(AdminCouponItemDto adminCouponItemDto);
}
