package com.iamberry.wechat.face.lease;

import java.util.List;

import com.iamberry.wechat.core.entity.machine.MachineDto;
import com.iamberry.wechat.core.entity.machine.MachineShareRecord;

public interface LeaseMachineService {
	
	/**
	 * 根据openId查询机器列表信息
	 * @param machineDto
	 * @return
	 */
	public List<MachineDto> selectMachineList(MachineDto machineDto); 
	
	/**
	 * 生成分享记录
	 * @param machineShare
	 * @return
	 */
	public Integer insertShareRecord(MachineShareRecord machineShare);
}
