package com.iamberry.wechat.service.product.dao;

import com.iamberry.wechat.core.entity.product.ProductImageText;

/**
 * 产品图文 DAO
 * 2016年4月24日
 * @author 穆再兴
 *
 */
public interface ProductImageTextDAO {
	/**
	 * 为某个产品添加 一条图文信息
	 * 2016年4月24日
	 * @author 穆再兴
	 * @return
	 */
	public Integer addProductImageText(ProductImageText productImageText);
	
	/**
	 * 根据productId 查出一条图文信息
	 * 2016年4月24日
	 * @author 穆再兴
	 * @param productId
	 * @return
	 */
	public ProductImageText getProductImageTextByProduectId(Integer productId);
	
	/**
	 * 根据 图文id 修改一个产品的图文信息
	 * 2016年4月24日
	 * @param 穆再兴
	 * @return
	 */
	public Integer updateProductImageTextById(ProductImageText productImageText);
}
