package com.iamberry.wechat.service.relationship.Dao;

import com.iamberry.wechat.core.entity.member.Member;
import com.iamberry.wechat.core.entity.relationship.WdRelation;
/**
 * 微代理层级 dao
 * 2016年7月4日
 * @author Administrator
 *
 */
public interface WdRelationDao {
	/**
	 * 添加一个微代理层级
	 * 2016年7月4日
	 * @param wdRelation
	 * @return
	 */
	public Integer insertWdRelation(WdRelation wdRelation);
	
	/**
	 * 根据用户openid 查找一个微代理层记录
	 * 2016年7月4日
	 * @param openid
	 * @return
	 */
	public WdRelation getWdRelationByOpenid(String openid);
	
	/**
	 * 插入微代理层级	
	 * 2016年7月4日
	 * @param fatherMember
	 * @param member
	 */
	public boolean insertWdrelation(Member fatherMember,Member member);

	/**
	 * 修改用户微代理记录
	 * @param openid
	 * @return
	 * @author 献
	 * @Time   2016年11月24日
	 */
	public int updateStatus(String openid);
	
	/**
	 * 修改用户微代理信息
	 * @param wdRelation
	 * @return
	 * @author LJK
	 * @time 2016年11月24日
	 */
	public int updateWdRelation(WdRelation wdRelation);
}
