package com.iamberry.wechat.service.relationship.Dao.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.iamberry.wechat.core.entity.relationship.DealerRelation;
import com.iamberry.wechat.service.mapper.DealerRelationMapper;
import com.iamberry.wechat.service.relationship.Dao.DealerRelationDao;

/**
 *	商户层关系 mapper
 *	2016年7月4日
 * @author Administrator
 *
 */
@Repository
public class DealerRelationDaoImpl implements DealerRelationDao {

	@Autowired
	private DealerRelationMapper dealerRelationMapper;
	/**
	 * 根据 id 查询 商户层关系
	 * @param id
	 * @return
	 */
	@Override
	public DealerRelation getDealerRelationById(Integer id) {
		return dealerRelationMapper.getDealerRelationById(id);
	}

	/**
	 *	添加一个商户层关系
	 *	2016年7月4日
	 *	@author 穆再兴
	 * @param dealerRelation
	 * @return
	 */
	public Integer insertDealerRelation(DealerRelation dealerRelation){
		return dealerRelationMapper.insertDealerRelation(dealerRelation);
	}
}
