<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport"
	content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<LINK rel="Bookmark" href="/favicon.ico">
<LINK rel="Shortcut Icon" href="/favicon.ico" />
<!--[if lt IE 9]>
<script type="text/javascript" src="lib/html5.js"></script>
<script type="text/javascript" src="lib/respond.min.js"></script>
<script type="text/javascript" src="lib/PIE_IE678.js"></script>
<![endif]-->
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.admin.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/skin/default/skin.css" rel="stylesheet" type="text/css" id="skin" />
<link href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/style.css" rel="stylesheet" type="text/css" />

<!--[if IE 6]>
<script type="text/javascript" src="lib/DD_belatedPNG_0.0.8a-min.js" ></script>
<script>DD_belatedPNG.fix('*');</script>
<![endif]-->
<title>产品列表</title>
</head>
<body>
	<nav class="breadcrumb">
		<i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span>
		微代理 <span class="c-gray en">&gt;</span> 微代理申请 <a
			class="btn btn-success radius r mr-20"
			style="line-height: 1.6em; margin-top: 3px"
			href="javascript:location.replace(location.href);" title="刷新"><i
			class="Hui-iconfont">&#xe68f;</i></a>
	</nav>
	<div class="pd-20">
	<div style="padding-bottom:  20px;">
	<form action="${pageContext.request.contextPath }/admin/goods/toSelectGoods" method="post">
			<input name="status" value="3" type="hidden">
			<input name="goodsInfoGoodname" id="goodsInfoGoodname" value="${Goodname }" placeholder="商品名称/商品简介" style="width: 300px" class="input-text" type="text">
			价格区间：<input name="minMoney" value="${minMoney }" id="minMoney" style="width: 100px" class="input-text" type="text"> 元 - 
					<input name="maxMoney" value="${maxMoney }" id="maxMoney" style="width: 100px" class="input-text" type="text"> 元&nbsp;&nbsp;
			日期范围： <input  id="beginDate" value="${beginDate }" name="beginDate" class="input-text Wdate" style="width: 120px;" type="text" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',maxDate:'#F{$dp.$D(\'endDate\')||\'%y-%M-%d\'}'})" readonly>
				 - <input  id="endDate" value="${endDate }" name="endDate" class="input-text Wdate" style="width: 120px;" type="text" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',minDate:'#F{$dp.$D(\'beginDate\')||\'%y-%M-%d\'}'})" readonly>
			<button name="" id="submitBtn" onclick="return dataCheck();" class="btn btn-success" type="submit">
				<i class="Hui-iconfont"></i> 搜索
			</button>
		</form>
		</div>
	<form id="goodsform" >
		<!-- <div class="cl pd-5 bg-1 bk-gray mt-20">
			<span class="l"><a href="javascript:;" onclick="datadel('1')"
				class="btn btn-danger radius">上架选中商品</a>&nbsp;
		    </span>
		    <span class="l"><a href="javascript:;" onclick="datadel('2')"
				class="btn btn-danger radius">停止销售选中商品</a>&nbsp;
		    </span>
		    <span class="l"><a href="javascript:;" onclick="datadel('3')"
				class="btn btn-danger radius">删除选中商品</a>&nbsp;
		    </span>
		</div> -->
		<table class="table table-border table-bordered table-bg" id="example">
			<thead>
				<tr>
					<th scope="col" colspan="11">微代理申请列表</th>
				</tr>
				<tr class="text-c">
					<th width="25"><input type="checkbox" name="" value=""></th>
					<th width="150">用户昵称</th>
					<th width="150">用户Openid</th>
					<th width="100">申请时间</th>
					<th width="150">申请状态</th>
				</tr>
			</thead>
			<tbody>
				<c:if test="${! (empty applyList) }">
					<c:forEach items="${applyList }" var="apply">
						<tr class="text-c">
							<td><input type="checkbox" value="${apply.applyId }" name="applyId"></td>
							<td>${apply.member.userNickname == null ? '匿名用户' : apply.member.userNickname}</td>
							<td>${apply.applyOpenid }</td>
							<td><fmt:formatDate value="${apply.applyCreateDate }" pattern="yyyy-MM-dd HH:mm:ss"/></td>
							<td class="td-manage">
							 
								<span class="select-box">
								<%-- <input id="applyStatus" type="hidden" value="${apply.applyStatus }"> --%>
								<select id="applyStatus" name="" onchange="updateApplyStatus(this,${apply.applyId })">
									<option value="1" ${apply.applyStatus==1?'selected':''}>申请中</option>
									<option value="2" ${apply.applyStatus==2?'selected':''}>驳回</option>
									<option value="3" ${apply.applyStatus==3?'selected':''}>通过</option>
								</select>
								</span>
							</td>
					</c:forEach>
				</c:if>
			</tbody>
		</table>
		<div align="right" class="mt-10 mb-10 mr-10">
			<%@include file="/common/other/paper/pager.jsp"%>
  		</div>
  		</form>
	</div>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/tips.js"></script> 
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/My97DatePicker/WdatePicker.js"></script> 
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/datatables/1.10.0/jquery.dataTables.min.js"></script> 
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/js/page/jqPaginator.js"></script>
	<script type="text/javascript">
	/* $(document).ready(function(){
		$('#beginDate').datepicker();//时间控件
        $('#endDate').datepicker();
	}); */
	
function updateApplyStatus(_this,id){
	var obj = $(_this);	
	layer.confirm('确认要修改状态吗？',function(index){
	$.ajax({
        url: '${pageContext.request.contextPath }/admin/agent/doAgentApply',
        type: "POST",
        dataType: "json",
        data: {applyId : id,applyStatus : obj.val()},
        error:function(data){
      	  layer.msg(data.status,{icon: 5,time:2000});
        },
        success:  function(data){
      	  layer.msg(data.status,{icon: 1,time:2000});
        }
    	});
	}
	
	/* ,function(){
		$.ajax({
	        url: '${pageContext.request.contextPath }/admin/product/updateStatus',
	        type: "POST",
	        dataType: "json",
	        data: {productId : id},
	        error:function(){
	      	  layer.msg(data,{icon: 5,time:2000});
	        },
	        success:  function(data){
	      		obj.val(data);
	        }
	    });
	} */
	
	);

}
</script>
</body>
</html>