<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
    <%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
    <%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,member-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<!--[if lt IE 9]>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/html5.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/respond.min.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/PIE_IE678.js"></script>
<![endif]-->
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.admin.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/lib/icheck/icheck.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
<!--[if IE 6]>
<script type="text/javascript" src="http://lib.h-ui.net/DD_belatedPNG_0.0.8a-min.js" ></script>
<script>DD_belatedPNG.fix('*');</script>
<![endif]-->
<title>修改Banner</title>
</head>
<body>
<div class="pd-20">
	<form action="${pageContext.request.contextPath }/admin/couponItem/updateCouponItemInfo" method="post" class="form form-horizontal" id="form-member-add">
		<input name="couponItemId" type="hidden" value="${couponItemDto.couponItemId }">
		<div class="row cl">
			<label class="form-label col-2"><span class="c-red">*</span>优惠券使用状态：</label>
			<div class="formControls col-2">
				<select class="select" size="1" name="couponUseStatus" datatype="*" nullmsg="请选择是否是全局模板">
		          <c:if test="${couponItemDto.couponUseStatus == 1 }">
		        		<option value="1" selected>未使用</option>
		          		<option value="2">已使用</option>
		          		<option value="3">停用</option>
		          		<option value="4">过期</option>
		          		<option value="7">正在使用中</option>
		        	</c:if>
		        	<c:if test="${couponItemDto.couponUseStatus == 2 }">
		        		<option value="1">未使用</option>
		          		<option value="2" selected>已使用</option>
		          		<option value="3">停用</option>
		          		<option value="4">过期</option>
		          		<option value="7">正在使用中</option>
		        	</c:if>
		        	<c:if test="${couponItemDto.couponUseStatus == 3 }">
		        		<option value="1">未使用</option>
		          		<option value="2">已使用</option>
		          		<option value="3" selected>停用</option>
		          		<option value="4">过期</option>
		          		<option value="7">正在使用中</option>
		        	</c:if>
		        	<c:if test="${couponItemDto.couponUseStatus == 4 }">
		        		<option value="1">未使用</option>
		          		<option value="2">已使用</option>
		          		<option value="3">停用</option>
		          		<option value="4" selected>过期</option>
		          		<option value="7">正在使用中</option>
		        	</c:if>
		        	<c:if test="${couponItemDto.couponUseStatus == 7 }">
		        		<option value="1">未使用</option>
		          		<option value="2">已使用</option>
		          		<option value="3">停用</option>
		          		<option value="4">过期</option>
		          		<option value="7" selected>正在使用中</option>
		        	</c:if>
        		</select>
			</div>
		</div>
		
		<div class="row cl">
			<label class="form-label col-2"><span class="c-red">*</span>优惠券截止时间：</label>
			<div class="formControls col-2">
				<input type="text" value="<fmt:formatDate value='${couponItemDto.couponUseEndDate }' pattern='YYYY-MM-dd HH:MM:ss'/>"  onfocus="WdatePicker({maxDate:'2050-10-01', dateFmt:'yyyy-MM-dd HH:mm:ss'})"
					readonly="readonly" name="couponUseEndDate" id="couponUseEndDate" datatype="*" nullmsg="请输入截止时间！"  class="input-text Wdate" style="width: 150px;">
			</div>
		</div>
			
	    <div class="row cl">
	      <div class="col-9 col-offset-3">
	        <input class="btn btn-primary radius" type="submit" id="submitBtn" value="&nbsp;&nbsp;提交&nbsp;&nbsp;">
	      </div>
	    </div>
  	</form>
</div>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/icheck/jquery.icheck.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/Validform/5.3.2/Validform.min.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/My97DatePicker/WdatePicker.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script>
<script type="text/javascript">
$(function(){
	$("#form-member-add").Validform({
		tiptype:2,
		callback:function(form){
			form[0].submit();
		}
	});
});
</script>
</body>
</html>