<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core"  prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt"  prefix="fmt"%>
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,member-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<!--[if lt IE 9]>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/html5.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/respond.min.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/PIE_IE678.js"></script>
<![endif]-->
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.admin.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
<!--[if IE 6]>
<script type="text/javascript" src="http://lib.h-ui.net/DD_belatedPNG_0.0.8a-min.js" ></script>
<script>DD_belatedPNG.fix('*');</script>
<![endif]-->
<title>分销管理</title>
</head>
<body>
<nav class="breadcrumb"><i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span> 分销管理 <span class="c-gray en">&gt;</span> 分销角色列表 <a class="btn btn-success radius r mr-20" style="line-height:1.6em;margin-top:3px" href="javascript:location.replace(location.href);" title="刷新" ><i class="Hui-iconfont">&#xe68f;</i></a></nav>
<div class="pd-20">
	<form action="${pageContext.request.contextPath }/admin/drp/getDrpRoleList" method="post" >
	<div class="text-c">
		<input type="text" class="input-text" style="width:250px" placeholder="输入分销角色名称" id="" value="${text }" name="text">
		<button type="submit" class="btn btn-success radius" id=""  name=""><i class="Hui-iconfont">&#xe665;</i> 搜索分销角色</button>
	</div>
	</form>
	<div class="cl pd-5 bg-1 bk-gray mt-20"> 
		<span class="l">
			<a href="javascript:;" onclick="member_add('添加分销角色信息','${pageContext.request.contextPath}/admin/drp/addDrpRole','','510')" class="btn btn-primary radius">
				<i class="Hui-iconfont">&#xe600;</i> 添加分销角色
			</a>
		</span>
	</div>
	<div class="mt-20">
	<table class="table table-border table-bordered table-hover table-bg table-sort">
		<thead>
			<tr class="text-c">
				<th width="140">角色名称</th>
				<th width="40">状态</th>
				<th width="140">创建时间</th>
				<th width="40">更新时间</th>
				<th width="100">操作</th>
			</tr>
		</thead>
		<tbody>
			<c:choose>
				<c:when test="${!(empty drpRoleList) }">
					<c:forEach items="${drpRoleList }" var="drpRoleInfo">
						<tr class="text-c">
							<td>${drpRoleInfo.roleName }</td>
							<td class="td-status">${drpRoleInfo.roleStatus == 1?"使用中":"停用" }</td>
							<td><fmt:formatDate value="${drpRoleInfo.roleCreateDate }" pattern="yyyy-MM-dd HH:mm:ss"/></td>
							<td><fmt:formatDate value="${drpRoleInfo.roleUpdateDate }" pattern="yyyy-MM-dd HH:mm:ss"/></td>
							<td class="td-manage">
								<c:if test="${drpRoleInfo.roleStatus == 1 }">
									<a onClick="admin_stop(this,'${drpRoleInfo.roleId }','${drpRoleInfo.roleStatus }')" href="javascript:;" title="停用" style="text-decoration:none"><i class="Hui-iconfont">&#xe631;</i></a>
								</c:if>
								<c:if test="${drpRoleInfo.roleStatus == 2 }">
									<a style="text-decoration:none" onClick="admin_start(this,'${drpRoleInfo.roleId}','${drpRoleInfo.roleStatus }')" href="javascript:;" title="启用"><i class="Hui-iconfont">&#xe615;</i></a>
								</c:if>
								<a title="修改" href="javascript:;" onclick="member_add('编辑分销角色','${pageContext.request.contextPath }/admin/drp/updateDrpRole?roleId=${drpRoleInfo.roleId}','','510')" class="ml-5" style="text-decoration:none">
									<i class="Hui-iconfont">&#xe6df;</i>
								</a>
							</td>
						</tr>
					</c:forEach>
				</c:when>
				<c:otherwise>
					<tr align="center"><td colspan="7" style="text-align: center;">未查询到该类数据!</td></tr>
				</c:otherwise>
			</c:choose>
		</tbody>
	</table>
	</div>
</div>
<div align="right">
	<%@include file="/common/other/paper/pager.jsp"%>
</div>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/laypage/1.2/laypage.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/My97DatePicker/WdatePicker.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/datatables/1.10.0/jquery.dataTables.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script> 
<script type="text/javascript">
	function member_add(title,url,w,h){
		layer_show(title,url,w,h);
	}
	
	function admin_start(obj,id,Status){
		layer.confirm('确认要启用吗？',function(index){
			//此处请求后台程序，下方是成功后的前台处理……
			 $.ajax({
	              url: '${pageContext.request.contextPath }/admin/drp/updateDrpRoleStatus',
	              type: "POST",
	              dataType: "json",
	              data: {roleId:id,roleStatus:Status},
	              error:function(){
	            	  layer.msg(data.status,{icon: 5,time:3000});
	              },
	              success:  function(data){
	            	  $(obj).parents("tr").find(".td-manage").prepend('<a onClick="admin_stop(this,'+id+',1)" href="javascript:;" title="停用" style="text-decoration:none"><i class="Hui-iconfont">&#xe631;</i></a>');
	          		  $(obj).parents("tr").find(".td-status").html('<span class="label label-success radius">已启用</span>');
	          		  $(obj).remove();
	          		  layer.msg('已启用!', {icon: 6,time:1000});
	              }
	          });
		});	
	}
	
	function admin_stop(obj,id,Status){
		layer.confirm('确认要停用吗？',function(index){
			//此处请求后台程序，下方是成功后的前台处理……
			$.ajax({
	              url: '${pageContext.request.contextPath }/admin/drp/updateDrpRoleStatus',
	              type: "POST",
	              dataType: "json",
	              data: {roleId:id,roleStatus:Status},
	              error:function(){
	            	  layer.msg(data.status,{icon: 5,time:3000});
	              },
	              success:  function(data){
	            	  layer.msg(data.status,{icon: 1,time:1000});
	            	  $(obj).parents("tr").find(".td-manage").prepend('<a onClick="admin_start(this,'+id + ',2)" href="javascript:;" title="启用" style="text-decoration:none"><i class="Hui-iconfont">&#xe615;</i></a>');
	          		  $(obj).parents("tr").find(".td-status").html('<span class="label label-default radius">已停用</span>');
	          		  $(obj).remove();
	          		  layer.msg('已停用!',{icon: 5,time:1000});
	              }
	          });
			
		});
	}
</script>
</body>
</html>