<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<!--[if lt IE 9]>
<script type="text/javascript" src="lib/html5.js"></script>
<script type="text/javascript" src="lib/respond.min.js"></script>
<script type="text/javascript" src="lib/PIE_IE678.js"></script>
<![endif]-->
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.admin.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/lib/icheck/icheck.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
<!--[if IE 6]>
<script type="text/javascript" src="lib/DD_belatedPNG_0.0.8a-min.js" ></script>
<script>DD_belatedPNG.fix('*');</script>
<![endif]-->
<title>会员详细信息</title>
</head>
<body>
<nav class="breadcrumb"><i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span> 会员管理 <span class="c-gray en">&gt;</span> 详细信息 <a class="btn btn-success radius r mr-20" style="line-height:1.6em;margin-top:3px" href="javascript:location.replace(location.href);" title="刷新" ><i class="Hui-iconfont">&#xe68f;</i></a></nav>
<div class="pd-20">
<div style="float:right; margin-right: 25">
	<a href="javascript:history.go(-1)" >返回</a>
</div>
	<form action="" method="post" class="form form-horizontal" id="form-article-add">
		<div id="tab-system" class="HuiTab">
			<div class="tabBar cl"><span>详细信息</span></div>
			<div class="tabCon">
				<div class="row cl">
					<label class="form-label col-2">头像：</label>
							<img alt="头像" src="${member.userHead }" style="width: 70px; height: 70px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			 						二维码：
						<img alt="二维码" src="${member.userQrcode }" style="width: 70px; height: 70px;"> 
				
					</div>
				</div>
				<div class="row cl">
					<label class="form-label col-2">会员昵称：</label>
					<div class="formControls col-10">
						${member.userNickname }
					</div>
				</div>
				<div class="row cl">
					<label class="form-label col-2">OPENID：</label>
					<div class="formControls col-10">
						${member.userOpenid }
					</div>
				</div>
				<div class="row cl">
					<label class="form-label col-2">姓名：</label>
					<div class="formControls col-10">
						${member.userName }
					</div>
				</div>
				<div class="row cl">
					<label class="form-label col-2">会员生日：</label>
					<div class="formControls col-10">
						<c:if test="${!empty member.userBirthDate }">
							<fmt:formatDate value="${member.userBirthDate }" pattern="YYYY-MM-dd"/>
						</c:if>
						<c:if test="${empty member.userBirthDate }">
							不详
						</c:if>
					</div>
				</div>
				<div class="row cl">
					<label class="form-label col-2">手机号码：</label>
					<div class="formControls col-10">
						${member.userTel }
					</div>
				</div>
				<div class="row cl">
					<label class="form-label col-2">会员地址：</label>
					<div class="formControls col-10">
						${member.userAddr }
					</div>
				</div>
				<div class="row cl">
					<label class="form-label col-2">会员身份：</label>
					<div class="formControls col-10">
						<c:choose>
							<c:when test="${member.userIdentity == 0}">微代理</c:when>
							<c:when test="${member.userIdentity == 1}">普通会员</c:when>
							<c:when test="${member.userIdentity == 2}">银卡会员</c:when>
							<c:when test="${member.userIdentity == 3}">金卡会员</c:when>
							<c:when test="${member.userIdentity == 4}">铂金会员</c:when>
							<c:when test="${member.userIdentity == 5}">黑钻会员</c:when>
							<c:otherwise>未知</c:otherwise>
						</c:choose>
					</div>
				</div>
				<div class="row cl">
					<label class="form-label col-2">积分：</label>
					<div class="formControls col-10">
						剩余积分：${member.userSurplusIntegral } &nbsp;&nbsp;&nbsp;使用积分总额：${member.userUseIntegral }&nbsp;&nbsp;&nbsp;
						<a href="javascript:;" onclick="IntegralLogs('${member.userNickname }的积分记录', '${pageContext.request.contextPath }/admin/member/showIntegralLogs/${member.userOpenid }', '800', '500')" style="color: blue;">【查看积分记录】</a>
					</div>
				</div>
				<div class="row cl">
					<label class="form-label col-2">会员推荐人：</label>
					<div class="formControls col-10">
						<c:if test="${!empty parentName }">
							${parentName }
						</c:if>
						<c:if test="${empty parentName }">
							无
						</c:if>
					</div>
				</div>
				<div class="row cl">
					<label class="form-label col-2">会员创建时间：</label>
					<div class="formControls col-10">
						<c:if test="${!empty member.userCreateDate }">
							<fmt:formatDate value="${member.userCreateDate }" pattern="YYYY-MM-dd HH:MM:ss"/>
						</c:if>
						<c:if test="${empty member.userCreateDate }">
							不详
						</c:if>
					</div>
				</div>
				<div class="row cl">
					<label class="form-label col-2">关注时间及状态：</label>
					<div class="formControls col-10">
						<c:if test="${!empty member.userSubDate }">
							<fmt:formatDate value="${member.userSubDate }" pattern="YYYY-MM-dd HH:MM:ss"/>
						</c:if>
						<c:if test="${empty member.userSubDate }">
							不详
						</c:if>
						&nbsp;&nbsp;
						<c:choose>
							<c:when test="${member.userStatus == 0}">已取消关注</c:when>
							<c:when test="${member.userStatus == 1}">未关注</c:when>
							<c:when test="${member.userStatus == 2}">已关注</c:when>
						</c:choose>
					</div>
				</div>
<%-- 				<div class="row cl">
					<label class="form-label col-2">所属渠道：</label>
					<div class="formControls col-10">
						<c:if test="${!empty member.userResType }">
							${member.userResType }
						</c:if>
						<c:if test="${empty member.userResType }">
							无
						</c:if>
					</div>
				</div>
				<div class="row cl">
					<label class="form-label col-2">最近分享时间：</label>
					<div class="formControls col-10">
						<c:if test="${!empty member.userShareDate }">
							<fmt:formatDate value="${member.userShareDate }" pattern="YYYY-MM-dd HH:MM:ss"/>
						</c:if>
						<c:if test="${empty member.userShareDate }">
							不详
						</c:if>
					</div>
				</div> --%>
				<%-- <div class="row cl">
					<label class="form-label col-2">默认收货地址：</label>
					<div class="formControls col-10">
						${userInfo.userAddressId }
					</div>
				</div> --%>
			</div>
		</div>
	</form>
</div>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/Validform/5.3.2/Validform.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/icheck/jquery.icheck.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script> 
<script type="text/javascript">

$(function(){
	$('.skin-minimal input').iCheck({
		checkboxClass: 'icheckbox-blue',
		radioClass: 'iradio-blue',
		increaseArea: '20%'
	});
	$.Huitab("#tab-system .tabBar span","#tab-system .tabCon","current","click","0");
});

function IntegralLogs(title, url, w, h) {
	layer_show(title,url,w,h);
}
</script>
</body>
</html>