<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
    <%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
    <%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<!--[if lt IE 9]>
<script type="text/javascript" src="lib/html5.js"></script>
<script type="text/javascript" src="lib/respond.min.js"></script>
<script type="text/javascript" src="lib/PIE_IE678.js"></script>
<![endif]-->
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.admin.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/lib/icheck/icheck.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
<title>订单详细信息</title>
</head>
<body>
	<nav class="breadcrumb"><i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span> 试用订单管理 <span class="c-gray en">&gt;</span> 订单详情 <a class="btn btn-success radius r mr-20" style="line-height:1.6em;margin-top:3px" href="javascript:location.replace(location.href);" title="刷新" ><i class="Hui-iconfont">&#xe68f;</i></a></nav>
<div class="pd-20">
			<div style="float:right;">
				<a href="javascript:window.location.href = document.referrer;" >返回</a>
			</div>
	<div id="tab-system" class="HuiTab">
		<div class="tabBar cl"><span>订单详情</span></div>
		<div class="tabCon">
		<c:if test="${!(empty pOrder)}">
			<table class="table table-border table-bordered table-hover mt-5">
			  <tr class="text-r">
			  	<td class="f-14" style="font-weight: bold;">订单号：</td>
			  	<td>${pOrder.probationOrderid }</td>
			  	<td  class="f-14" style="font-weight: bold;">所属用户：</td>
			  	<td>${pOrder.userNickName }</td>
			  	<td  class="f-14" style="font-weight: bold;">状态：</td>
			  	<td>
			  		<c:choose>
						<c:when test="${pOrder.probationStatus ==0 }">
							取消订单
						</c:when>
						<c:when test="${pOrder.probationStatus ==1 }">
							订单生成，待派送
						</c:when>
						<c:when test="${pOrder.probationStatus ==2 }">
							派送中
						</c:when>
						<c:when test="${pOrder.probationStatus ==3 }">
							待支付
						</c:when>
						<c:when test="${pOrder.probationStatus ==4 }">
							试用暂停
						</c:when>
						<c:when test="${pOrder.probationStatus ==5 }">
							支付完成
						</c:when>
					</c:choose>
			  	</td>
			  </tr>
			  <tr class="text-r">
			  	<td  class="f-14" style="font-weight: bold;">现金支付金额：</td>
			  	<td><fmt:formatNumber type="number" value="${pOrder.probationYetAmount/100}" pattern="0.00" maxFractionDigits="2"/></td>
			  	<td  class="f-14" style="font-weight: bold;">试用开始时间：</td>
			  	<td><fmt:formatDate value="${pOrder.probationStartTime }" pattern="yyyy-MM-dd HH:mm:ss"/></td>
			  	<td  class="f-14" style="font-weight: bold;">试用结束时间：</td>
			  	<td colspan="3"><fmt:formatDate value="${pOrder.probationEndTime }" pattern="yyyy-MM-dd HH:mm:ss"/></td>
			  </tr>
			  <tr>
			  	<td  class="f-14" style="font-weight: bold;">快递公司：</td>
			  	<td>
			  		<c:choose>
					  	<c:when test="${pOrder.probationPostFirm == 'sto' }">申通快递</c:when>
					  	<c:when test="${pOrder.probationPostFirm == 'yto' }">圆通快递</c:when>
					  	<c:when test="${pOrder.probationPostFirm == 'sf' }">顺丰快递</c:when>
					  	<c:when test="${pOrder.probationPostFirm == 'ems' }">邮政EMS</c:when>
					  	<c:when test="${pOrder.probationPostFirm == 'zto' }">中通快递</c:when>
					  	<c:when test="${pOrder.probationPostFirm == 'zjs' }">宅急送</c:when>
					  	<c:when test="${pOrder.probationPostFirm == 'yunda' }">韵达快递</c:when>
					  	<c:when test="${pOrder.probationPostFirm == 'cces' }">cces快递</c:when>
					  	<c:when test="${pOrder.probationPostFirm == 'pick' }">上门提货</c:when>
					  	<c:when test="${pOrder.probationPostFirm == 'htky' }">汇通快递</c:when>
					  	<c:when test="${pOrder.probationPostFirm == 'ttkdex' }">天天快递</c:when>
					  	<c:when test="${pOrder.probationPostFirm == 'stars' }">星晨急便</c:when>
					  	<c:when test="${pOrder.probationPostFirm == 'jd' }">京东快递</c:when>
					  	<c:when test="${pOrder.probationPostFirm == 'dbkd' }">德邦快递</c:when>
					  	<c:when test="${pOrder.probationPostFirm == '01' }">其他</c:when>
					  	<c:when test="${pOrder.probationPostFirm == '02' }">上门送货</c:when>
				  	</c:choose>
			  	</td>
			  	<td  class="f-14" style="font-weight: bold;">快递单号：</td>
			  	<td colspan="3">${pOrder.probationPostNum }</td>
			  </tr>
			  <tr class="text-r">
			  	<td colspan="6">
			  	<table class="table table-border table-bordered table-hover">
				  <thead>
				  	<tr  class="f-14" style="font-weight: bold;">
				  		<th>商品名称</th>
				  		<th>商品图片</th>
				  		<th>原价（￥）</th>
				  		<th>优惠价（￥）</th>
				  		<th>数量（件）</th>
				  		<th>金额（￥）</th>
				  	</tr>
				  </thead>
				  <tbody>
				  	<tr>
				  		<td>${pOrder.productName }</td>
				  		<td><img alt="图片" src="${pOrder.productIntroduceImg}" style="width: 40px; height: 40px;"></td>
				  		<td><fmt:formatNumber type="number" value="${pOrder.productPrice/100}" pattern="0.00" maxFractionDigits="2"/></td>
				  		<td><fmt:formatNumber type="number" value="${pOrder.productDiscount/100}" pattern="0.00" maxFractionDigits="2"/></td>
				  		<td>1</td>
				  		<td><fmt:formatNumber type="number" value="${pOrder.productDiscount/100}" pattern="0.00" maxFractionDigits="2"/></td>
				  	</tr>
				  </tbody>
				</table>
				</td>
			  </tr>
			  <tr class="text-r">
			  	<td  class="f-14" style="font-weight: bold;">创建时间：</td>
			  	<td colspan="2"><fmt:formatDate value="${pOrder.probationCreateTime }" pattern="yyyy-MM-dd HH:mm:ss"/></td>
			  	<td  class="f-14" style="font-weight: bold;">邮政编码：</td>
			  	<td colspan="2">${pOrder.probationReceivePostnum }</td>
			  </tr>
			  <tr class="text-r">
			  	<td  class="f-14" style="font-weight: bold;">收件人姓名：</td>
			  	<td colspan="2">${pOrder.probationReceiveName }</td>
			  	<td  class="f-14" style="font-weight: bold;">收件人电话：</td>
			  	<td colspan="2">${pOrder.probationReceiveTel }</td>
			  </tr>
			  <tr class="text-r">
			  	<td  class="f-14" style="font-weight: bold;">发货时间：</td>
			  	<td colspan="2"><fmt:formatDate value="${pOrder.probationSendDate }" pattern="yyyy-MM-dd HH:mm:ss"/></td>
			  	<td  class="f-14" style="font-weight: bold;">收货地址：</td>
			  	<td colspan="5">${pOrder.probationAddressInfo }</td>
			  </tr>
			  <tr class="text-r">
			  	<td  class="f-14" style="font-weight: bold;">管理员标注：</td>
			  	<td>
			  		<c:if test="${pOrder.probationColorType==1 }">
						<div style="width:100%;height:20px;background-color: red;" id="${pOrder.probationOrderid }AdminRemarkColor" lang="1"></div>
					</c:if>
					<c:if test="${pOrder.probationColorType==2 }">
						<div style="width:100%;height:20px;background-color: yellow;" id="${pOrder.probationOrderid }AdminRemarkColor" lang="2"></div>
					</c:if>
					<c:if test="${pOrder.probationColorType==3 }">
						<div style="width:100%;height:20px;background-color: green;" id="${pOrder.probationOrderid }AdminRemarkColor" lang="3"></div>
					</c:if>
			  	</td>
			  	<td  class="f-14" style="font-weight: bold;">管理员备注：</td>
			  	<td colspan="3">${pOrder.probationAdminRemark }</td>
			  </tr>
			</table>
		</c:if>
		<c:if test="${(empty pOrder)}">
			<div style="width: 100%;" class="text-c">未查询到该订单信息!</div>
		</c:if>
		</div>
	</div>
</div>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/Validform/5.3.2/Validform.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/icheck/jquery.icheck.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script> 
<script type="text/javascript">

$(function(){
	$('.skin-minimal input').iCheck({
		checkboxClass: 'icheckbox-blue',
		radioClass: 'iradio-blue',
		increaseArea: '20%'
	});
	$.Huitab("#tab-system .tabBar span","#tab-system .tabCon","current","click","0");
});

function IntegralLogs(title, url, w, h) {
	layer_show(title,url,w,h);
}
</script>
</body>
</html>