<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport"
	content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<LINK rel="Bookmark" href="/favicon.ico">
<LINK rel="Shortcut Icon" href="/favicon.ico" />
<!--[if lt IE 9]>
<script type="text/javascript" src="lib/html5.js"></script>
<script type="text/javascript" src="lib/respond.min.js"></script>
<script type="text/javascript" src="lib/PIE_IE678.js"></script>
<![endif]-->
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.admin.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/skin/default/skin.css" rel="stylesheet" type="text/css" id="skin" />
<link href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/style.css" rel="stylesheet" type="text/css" />

<!--[if IE 6]>
<script type="text/javascript" src="lib/DD_belatedPNG_0.0.8a-min.js" ></script>
<script>DD_belatedPNG.fix('*');</script>
<![endif]-->
<title>产品列表</title>
</head>
<body>
	<nav class="breadcrumb">
		<i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span>
		商品管理 <span class="c-gray en">&gt;</span> 商品列表 <a
			class="btn btn-success radius r mr-20"
			style="line-height: 1.6em; margin-top: 3px"
			href="javascript:location.replace(location.href);" title="刷新"><i
			class="Hui-iconfont">&#xe68f;</i></a>
	</nav>
	<div class="pd-20">
	<form action="${pageContext.request.contextPath }/admin/product/list" method="post">
			<input name="goodsInfoGoodname" id="goodsInfoGoodname" value="${goodsInfoGoodname }" placeholder="商品名称" style="width: 300px" class="input-text" type="text">
			<%-- 价格区间：<input name="minMoney" value="${minMoney }" id="minMoney" style="width: 100px" class="input-text" type="text"> 元 - 
					<input name="maxMoney" value="${maxMoney }" id="maxMoney" style="width: 100px" class="input-text" type="text"> 元&nbsp;&nbsp; --%>
			日期范围： <input  id="beginDate" value="${beginDate }" name="beginDate" class="input-text Wdate" style="width: 120px;" type="text" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',maxDate:'#F{$dp.$D(\'endDate\')||\'%y-%M-%d\'}'})" readonly>
				 - <input  id="endDate" value="${endDate }" name="endDate" class="input-text Wdate" style="width: 120px;" type="text" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',minDate:'#F{$dp.$D(\'beginDate\')||\'%y-%M-%d\'}'})" readonly>
			<button name="" id="submitBtn" onclick="return dataCheck();" class="btn btn-success" type="submit">
				<i class="Hui-iconfont"></i> 搜索
			</button>
		</form>
	<form id="goodsform" >
		<div class="cl pd-5 bg-1 bk-gray mt-20">
			<span class="l"><a href="javascript:;" onclick="toAdd('${pageContext.request.contextPath }/admin/product/toAdd')"
				class="btn btn-danger radius">添加商品</a>&nbsp;
		    </span>
		</div>
		<table class="table table-border table-bordered table-bg" id="example">
			<thead>
				<tr>
					<th scope="col" colspan="11">产品列表</th>
				</tr>
				<tr class="text-c">
					<!-- <th width="25"><input type="checkbox" name="" value=""></th> -->
					<th width="150">商品名称</th>
					<th width="100">介绍图</th>
					<!-- <th width="130">已售数量</th> -->
					<th width="50">排序</th>
					<th width="50">商品状态</th>
					
					<!-- <th width="100">产品颜色</th> -->
					<th width="150">产品类型</th>
					<th width="100">产品销售类型 </th>
					<th width="150">备注</th>
					<th width="100">操作</th>
				</tr>
			</thead>
			<tbody>
				<c:if test="${! (empty list) }">
					<c:forEach items="${list }" var="product">
						<input type="hidden" name="productId" value="${product.productId }"/>
						<tr class="text-c">
							<%-- <td><input type="checkbox" value="${product.productId }" name="productId"></td> --%>
							<td>${product.productName }</td>
							<td><img src="${product.productIntroduceImg }" width="50" height="50"></img></td>
							<%-- <td>${product.productSalesnum}</td> --%>
							
							<td>${product.productSortNum }</td>
							<td>${product.productStatus==1?'在售':''}${product.productStatus==2?'停止销售':''}${product.productStatus==3?'删除':''}</td>
							
							<%-- <td>
								${product.productColor=='1'?'品蓝':'' }${product.productColor=='2'?'品黑':'' }
								${product.productColor=='3'?'苹果绿':'' }${product.productColor=='4'?'西瓜粉':'' }
								${product.productColor=='5'?'纯白':'' }
							</td> --%>
							<td>
								${product.productType.typeName }
							</td>
							
							<td>
								${product.productRentType == 1?'销售产品':''}
								${product.productRentType == 2?'租赁产品':''}
							</td>
							<td>${product.productRemark } </td>
							<td class="td-manage">
								<span class="select-box">
								<input id="productStatus" type="hidden" value="${product.productStatus }">
								<select id="Goodstatus" name="" onchange="updateProductStatus(this,${product.productId })">
									<option value="1" ${product.productStatus==1?'selected':''}>在售</option>
									<option value="2" ${product.productStatus==2?'selected':''}>停止销售</option>
									<option value="3" ${product.productStatus==3?'selected':''}>删除</option>
								</select>
								</span>
								<a onclick="goods_edit('${pageContext.request.contextPath }/admin/product/toUpdate/${product.productId }')" 
								title="编辑" href="javascript:;"  class="ml-5" style="text-decoration:none"><i class="Hui-iconfont">&#xe6df;</i></a> 
							</td>
					</c:forEach>
				</c:if>
			</tbody>
		</table>
		<div align="right" class="mt-10 mb-10 mr-10">
			<%@include file="/common/other/paper/pager.jsp"%>
  		</div>
  		</form>
	</div>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/tips.js"></script> 
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/My97DatePicker/WdatePicker.js"></script> 
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/datatables/1.10.0/jquery.dataTables.min.js"></script> 
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/js/page/jqPaginator.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/goods/js/utils.js"></script>
	<script type="text/javascript">
	/* $(document).ready(function(){
		$('#beginDate').datepicker();//时间控件
        $('#endDate').datepicker();
	}); */
	function isInteger(obj) {
		 var   r   =   /^[0-9]*[1-9][0-9]*$/;   
         return r.test(obj);                  
		}
	function  dataCheck(){
		 //商品名称数据验证
		 if($("#goodsInfoGoodname").val()!= ""){
			if(!commonLengthJdg('goodsInfoGoodname',1,30,null,true)){
				layer.msg("商品名称长度为1-30位",{icon: 5,time:3000});
				return false;
			}
			
			
		 }
		//最小价格格式验证
		 if($("#minMoney").val()!= ""){
			if(!commonTypeJdg('minMoney','money',null,true)){
				layer.msg("最小价格须为金钱格式",{icon: 5,time:3000});
				return false;
			}
			if(!isInteger($("#minMoney").val())){
				layer.msg("最小价格必须为整数",{icon: 5,time:3000});
				return false;
			}
		 }
		//最大价格格式验证
		if($("#maxMoney").val()!= ""){
			if(!commonTypeJdg('maxMoney','money',null,true)){
				layer.msg("最大价格须为金钱格式",{icon: 5,time:3000});
				return false;
			}
			if(!isInteger($("#maxMoney").val())){
				layer.msg("最大价格必须为整数",{icon: 5,time:3000});
				return false;
			}
		}
		return true;
	}
function updateProductStatus(_this,id){
	var obj = $(_this);	
	layer.confirm('确认要修改状态吗？',function(index){
		$.ajax({
	        url: '${pageContext.request.contextPath }/admin/product/updateStatus',
	        type: "POST",
	        dataType: "json",
	        data: {productId : id,productStatus : obj.val()},
	        error:function(data){
	      	  layer.msg(data.status,{icon: 5,time:2000});
	        },
	        success:  function(data){
	      	  layer.msg(data.status,{icon: 1,time:2000});
	      	  /* $("#Goodstatus").val(obj.val()); */
	      	  /* window.location.href = '${pageContext.request.contextPath }/admin/goods/listGoodsUI'; */
	        }
    	});
	}
	);

}
/**
 * 进入添加页面
 */
function toAdd(url){
	window.location.href = url;
}
/**
 * 打开修改商品界面
 */
function goods_edit(url){
	window.location.href = url;
}
</script>
</body>
</html>