<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport"
	content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-

scale=1.0,user-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<LINK rel="Bookmark" href="/favicon.ico">
<LINK rel="Shortcut Icon" href="/favicon.ico" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.admin.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/skin/default/skin.css" rel="stylesheet" type="text/css" id="skin" />
<link href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/style.css" rel="stylesheet" type="text/css" />
<!--[if IE 6]>
<script type="text/javascript" src="lib/DD_belatedPNG_0.0.8a-min.js" ></script>
<script>DD_belatedPNG.fix('*');</script>
<![endif]-->
<title>提现记录</title>
</head>
<body>
	<nav class="breadcrumb">
		<i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span>
		提现记录 <span class="c-gray en">&gt;</span>提现记录列表 <a
			class="btn btn-success radius r mr-20"
			style="line-height: 1.6em; margin-top: 3px"
			href="javascript:location.replace(location.href);" title="刷新"><i
			class="Hui-iconfont">&#xe68f;</i></a>
	</nav>
	<div class="pd-20">
	<form action="${pageContext.request.contextPath }/admin/withdraw/seachInfo" method="get" id="form-admin-add">
		<div class="text-c"> 
			日期范围：
			<input readonly="readonly" type="text" onfocus="WdatePicker({maxDate:'#F{$dp.$D(\'endDate\')||\'2020-10-01\'}'})" id="beginDate" name="beginDate" value="${beginDate }" class="input-text Wdate" style="width: 120px;">
			- <input readonly="readonly" type="text" onfocus="WdatePicker({minDate:'#F{$dp.$D(\'beginDate\')}',maxDate:'2020-10-01'})" id="endDate" name="endDate" value="${endDate }" class="input-text Wdate" style="width: 120px;">
			<input type="text" class="input-text" style="width:250px" placeholder="输入会员昵称、电话" value="${userInput }" id="userInput" name="userInput">
			<button type="submit" class="btn btn-success radius" id="" name=""><i class="Hui-iconfont">&#xe665;</i> 搜用户</button>
		</div>
	</form>
	<form id="adminlist">
		<table class="table table-border table-bordered table-bg">
			<thead>
				<tr>
					<th scope="col" colspan="9">提现记录列表</th>
				</tr>
				<tr class="text-c">
					<th width="80">收款人</th>
					<th width="80">提现人民币</th>
					<th width="120">提现时间</th>
					<th width="120">提现人电话</th>
					<th width="130">所属银行</th>
					<th width="130">银行卡号</th>
					<th width="60">提现状态</th>
					<th width="100">备注</th>
					<th width="180">操作</th>
				</tr>
			</thead>
			<tbody>
				<c:if test="${! (empty list) }">
					<c:forEach items="${list }" var="infolist">
					
						<tr class="text-c" id="${infolist.withdrawalsLogsId }">
							<td >${infolist.withdrawalsUsername }</td>
							<td>${infolist.withdrawalsLogsAmount / 100 }</td>
							<td><fmt:formatDate value="${infolist.withdrawalsLogsDate }" pattern="yyyy-MM-dd HH:mm:ss"/></td>
							<td>${infolist.withdrawalsTel }</td>
							<td>${infolist.withdrawalsBankName }</td>
							<td>${infolist.withdrawalsCardNo }</td>
							<td>${infolist.withdrawalsStatus==1?'<font color=green >提现成功</font>':''}${infolist.withdrawalsStatus==2?'<font >处理中</font>':''}${infolist.withdrawalsStatus==3?'<font color=red >提现失败</font>':''}</td>
							<td>${infolist.withdrawalsRemark }</td>
							
							<td class="td-manage">
							<c:if test="${infolist.withdrawalsStatus==2 }">
							<input id="through" class="btn btn-primary radius upload-btn" onclick="
							layer_show('同意申请','${pageContext.request.contextPath }/admin/withdraw/updateWithdrawCashRemark?withdrawId=${infolist.withdrawalsLogsId }&whthdrawStatus=1','','500');"
							 type="button" value="同意" />&nbsp;
							<input id="rejected" class="btn btn-primary radius upload-btn" onclick="
							layer_show('驳回申请','${pageContext.request.contextPath }/admin/withdraw/updateWithdrawCashRemark?withdrawId=${infolist.withdrawalsLogsId }&whthdrawStatus=3','','500');"
							type="button" value="驳回" />
							<input id="rejected" class="btn btn-primary radius upload-btn" onclick="
							layer_show('${infolist.withdrawalsTel }历史记录','${pageContext.request.contextPath }/admin/withdraw/seachInfoHistory?userInput=${infolist.withdrawalsTel }&status=2','','500');"
							type="button" value="历史记录" />
							</c:if>
							</td>
					</c:forEach>
				</c:if>
				<c:if test="${empty list }">
				<tr class="text-c">
					<td colspan="11">没有查询到数据</td>
				</tr>
			</c:if>
			</tbody>
		</table>
		<div align="right" class="mt-10 mb-10 mr-10">
			<%@include file="/common/other/paper/pager.jsp"%>
  		</div>
  		</form>
	</div>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/tips.js"></script> 
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/My97DatePicker/WdatePicker.js"></script> 
</body>
</html>