<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core"  prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt"  prefix="fmt"%>
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,member-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<!--[if lt IE 9]>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/html5.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/respond.min.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/PIE_IE678.js"></script>
<![endif]-->
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.admin.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
<!--[if IE 6]>
<script type="text/javascript" src="http://lib.h-ui.net/DD_belatedPNG_0.0.8a-min.js" ></script>
<script>DD_belatedPNG.fix('*');</script>
<![endif]-->
<title>新闻管理</title>
</head>
<body>
<nav class="breadcrumb"><i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span> 官网管理 <span class="c-gray en">&gt;</span> 新闻列表 <a class="btn btn-success radius r mr-20" style="line-height:1.6em;margin-top:3px" href="javascript:location.replace(location.href);" title="刷新" ><i class="Hui-iconfont">&#xe68f;</i></a></nav>
<div class="pd-20">
	<form action="#" method="post" >
	<div class="text-c">
		<input readonly="readonly" disabled="disabled" type="text" class="input-text" style="width:250px" placeholder="暂时不可用" id="" value="" name="text">
		<button type="submit" onclick="return false;" class="btn btn-success radius" id=""  name=""><i class="Hui-iconfont">&#xe665;</i> 搜新闻</button>
	</div>
	</form>
	<div class="cl pd-5 bg-1 bk-gray mt-20"> 
		<span class="l">
			<a href="javascript:;" onclick="member_add('添加新闻','${pageContext.request.contextPath}/admin/www/news/addUI','','510')" class="btn btn-primary radius">
				<i class="Hui-iconfont">&#xe600;</i> 添加新闻
			</a>
		</span>
	</div>
	<div class="mt-20">
	<table class="table table-border table-bordered table-hover table-bg table-sort">
		<thead>
			<tr class="text-c">
				<th width="140">封面图</th>
				<th width="140">标题</th>
				<th width="140">内容简介</th>
				<th width="40">新闻作者</th>
				<th width="40">来源(点击查看)</th>
				<th width="100">访问次数</th>
				<th width="100">分享次数</th>
				<th width="100">操作</th>
			</tr>
		</thead>
		<tbody>
			<c:choose>
				<c:when test="${!(empty news) }">
					<c:forEach items="${news }" var="obj">
						<tr class="text-c">
							<td>
								<img style="width: 80px;height: 50px;" alt="图片" src="${obj.newsImage }">
							</td>
							<td>${obj.newsTitle }</td>
							<td>${obj.newsDesc}</td>
							<td class="banner-status">${obj.newsAuthor }</td>
							<td>
								<a href="${obj.newsSourceUrl }" target="_blank">${obj.newsSource }</a>
							</td>
							<td>${obj.newsAccessNum }</td>
							<td>${obj.newsShareNum }</td>
							<td class="td-manage">
								<a title="修改" href="javascript:;" onclick="member_add('编辑banner','${pageContext.request.contextPath }/admin/www/news/updateUI/${obj.newsId}','','510')" class="ml-5" style="text-decoration:none">
									<i class="Hui-iconfont">&#xe6df;</i>
								</a>
								<a title="预览" href="javascript:;" target="_blank" class="ml-5" style="text-decoration:none">
									<i class="Hui-iconfont">&#xe665;</i>
								</a>
							</td>
						</tr>
					</c:forEach>
				</c:when>
				<c:otherwise>
					<tr align="center"><td colspan="8" style="text-align: center;">未查询到该类数据!</td></tr>
				</c:otherwise>
			</c:choose>
		</tbody>
	</table>
	</div>
</div>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/laypage/1.2/laypage.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/My97DatePicker/WdatePicker.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/datatables/1.10.0/jquery.dataTables.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script> 
</body>
<script type="text/javascript">
function member_add(title,url,w,h){
	layer_show(title,url,w,h);
}
function stopBannerStatusFun(_this) {
	var $this = $(_this);
	var url = $this.attr("lang");
	var args = {"datetime":new Date().getTime()}
	$.getJSON(url, args, function(data){
		if (data.flag) {
			$this.hide();
			$this.parent().prevAll(".banner-status").html("已经停用");
			layer.msg(data.info,{icon:1,time:2000});
		} else {
			layer.msg(data.info,{icon:5,time:2000});
		}
	});
}
</script>
</html>