package com.iamberry.app.config;

public interface Constants {
	// 正则表达式：验证手机号
	public static final String REGEX_MOBILE = "^((13[0-9])|(15[^4,\\D])|(18[0,5-9]))\\d{8}$";
	// 正则表达式：验证邮箱
	public static final String REGEX_EMAIL = "^([a-z0-9A-Z]+[-|\\.]?)+[a-z0-9A-Z]@([a-z0-9A-Z]+(-[a-z0-9A-Z]+)?\\.)+[a-zA-Z]{2,}$";
	// 正则表达式：验证身份证
	public static final String REGEX_ID_CARD = "(^\\d{18}$)|(^\\d{15}$)";

	public static final String USER_SESSION_KEY = "user-session-key";

	public static final int DEFAULT_PAGE_SIZE = 10;

	public static final String SMS_RETURNCODE = "code";

	public static final int USER_STATUS_DEFAULT = 0;
	public static final String USER_ACTIVE = "active";
	public static final String USER_INACTIVE = "inactive";
	
	public static final String MILK_POWDER_APPROVED = "approved";
	public static final String MILK_POWDER_NOT_APPROVED = "not_approved";
	
}
