package com.iamberry.wechat.face.giftCard;

import java.util.List;

import com.iamberry.wechat.core.entity.giftCard.GiftCardPayCode;

public interface GiftCardPayCodeService {
    /**
     * 批量添加抵扣密码记录
     * 2017年3月3日
     * @author muzx
     * @param payCode
     * @return
     */
    boolean insertPayCodeList(String openid, int num);
    /**
     * 根据id或支付密码 查询一个支付密码信息
     * 2017年3月1日
     * @author muzx
     * @param payCode
     * @return
     */
    GiftCardPayCode getPayCodeByIdOrPassword(GiftCardPayCode payCode);
    
    /**
     * 获取所有支付密码并分页
     * 2017年3月15日
     * @author muzx
     * @return
     */
    List<GiftCardPayCode> listPayCode(GiftCardPayCode payCode);
    
    /**
     * 查询所有支付密码总数
     * 2017年3月15日
     * @author muzx
     * @return
     */
    int countPayCode();
}
