package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.relationship.DealerRelation;

/**
 *	商户层关系 mapper
 *	2016年7月4日
 * @author Administrator
 *
 */
public interface DealerRelationMapper {
	/**
	 * 根据用id 查询商户层关系
	 * 2016年7月4日
	 * @author 穆再兴
	 * @param id
	 * @return
	 */
	public DealerRelation getDealerRelationById(Integer id);
	
	/**
	 *	添加一个商户层关系
	 *	2016年7月4日
	 *	@author 穆再兴
	 * @param dealerRelation
	 * @return
	 */
	public Integer insertDealerRelation(DealerRelation dealerRelation);
	
	/**
	 * 更新分销商用户的父级，级联更新所有的层次关系
	 * @author 欧阳明
	 * @param dealerRelation
	 * @return
	 */
	public Integer updateRelation(DealerRelation dealerRelation);
}
