package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.product.ProductPicture;

/**
 * 产品介绍图  mapper
 * 2016年4月24日
 * @author 穆再兴
 *
 */
public interface ProductPictureMapper {
	
	/**
	 * 为产品添加一个介绍图
	 * 2016年4月24日
	 * @author 穆再兴
	 * @param productPicture
	 * @return
	 */
	public Integer addProductPicture(ProductPicture productPicture);
	
	/**
	 * 根据图片id删除一个产品的介绍图
	 * 2016年4月24日
	 * @author 穆再兴
	 * @param pictureId
	 * @return
	 */
	public Integer deleteProductPicture(Integer pictureId);
	
	/**
	 * 根据产品id 查出该产品所有介绍图信息
	 * 2016年4月24日
	 * @author 穆再兴
	 * @return
	 */
	public List<ProductPicture> getProductPictureByproductId(Integer productId);
}

