package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.admin.ShopSystemRule;

/**
 * @author 何秀刚
 * Class Description: 系统规则
 * Create Date:2016年4月20日
 * Update Date:2016年4月20日
 */
public interface SystemMapper {
	
	/**
	 * 根据ID，获取一条系统规则
	 * @param id
	 */
	public ShopSystemRule selectOneShopRuleById(Integer id);
	
	/**
	 * 查询所有系统规则
	 * 2016年5月4日
	 */
	public List<ShopSystemRule> selectAllShopRule();
}
