package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.wx.WechatShare;

/**
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	献
 * @tel		18271840547
 * @date	2016年9月8日
 * @explain 微信分享mapper接口印射
 */
public interface WechatShareMapper {
	
	/**
	 * 添加一个微信分享的数据
	 * @param wechatShare
	 * @return
	 */
	public int addWechatShare(WechatShare wechatShare);

	/**
	 * 根据URL的hash值，获取对应的数据
	 * @param urlHash
	 * @return
	 */
	public WechatShare selectWechatShareByHash(Integer urlHash);
	
	/**
	 * 更新微信分享的参数
	 * @param share
	 * @return
	 */
	public int updateWechatShareByHash(WechatShare share);
}
