package com.iamberry.wechat.service.relationship;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.iamberry.wechat.core.entity.relationship.DealerRelation;
import com.iamberry.wechat.face.relationship.DealerRelationService;
import com.iamberry.wechat.service.relationship.Dao.DealerRelationDao;
/**
 *	商户层关系 services 实现类 
 *	2016年7月4日
 * @author Administrator
 *
 */
@Service
public class DealerRelationServiceImpl implements DealerRelationService{
	@Autowired
	private DealerRelationDao dealerRelationDao;
	
	/**
	 * 根据 id 查询 商户层关系
	 * @param id
	 * @return
	 */
	public DealerRelation getDealerRelationById(Integer id){
		return dealerRelationDao.getDealerRelationById(id);
	}
	
	/**
	 *	添加一个商户层关系
	 *	2016年7月4日
	 *	@author 穆再兴
	 * @param dealerRelation
	 * @return
	 */
	public Integer insertDealerRelation(DealerRelation dealerRelation){
		return dealerRelationDao.insertDealerRelation(dealerRelation);
	}
}
