package com.iamberry.wechat.handles.wx;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import com.iamberry.wechat.tools.NameUtils;

/**
 * 现金记录 前台跳转
 * 2016年5月3日
 * @author 穆再兴
 *
 */
@Controller
@RequestMapping("/wechat/cashWechat")
public class CashWechatHandler {
	
	/**
	 * 进入个人现金记录列表页面
	 * 2016年5月3日
	 * @author 穆再兴
	 * @param req
	 * @param res
	 * @throws IOException 
	 * @throws ServletException 
	 */
	@RequestMapping("/log")
	public void goCashLogList(HttpServletRequest req,HttpServletResponse res) throws ServletException, IOException{
		req.getRequestDispatcher(NameUtils.getConfig("WECHAT_CASH_LOG_LIST")).forward(req, res);
	}

}
