/*
Navicat MySQL Data Transfer

Source Server         : localhost
Source Server Version : 50528
Source Host           : localhost:3306
Source Database       : ratfw

Target Server Type    : MYSQL
Target Server Version : 50528
File Encoding         : 65001

Date: 2015-12-15 23:17:24
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for `tb_admin_adminchild_have_permissions`
-- ----------------------------
DROP TABLE IF EXISTS `tb_admin_adminchild_have_permissions`;
CREATE TABLE `tb_admin_adminchild_have_permissions` (
  `a_id` int(9) NOT NULL AUTO_INCREMENT,
  `permissions_id` int(9) NOT NULL,
  `adminChild_id` int(9) NOT NULL,
  PRIMARY KEY (`a_id`),
  KEY `permissions_id` (`permissions_id`) USING BTREE,
  KEY `adminChild_id` (`adminChild_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=52 DEFAULT CHARSET=gbk COMMENT='InnoDB free: 7168 kB; (`permissions_id`) REFER `mxj/tb_admin_ermissions_child`(`';

-- ----------------------------
-- Records of tb_admin_adminchild_have_permissions
-- ----------------------------
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('15', '6', '10');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('16', '6', '12');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('17', '7', '12');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('18', '8', '12');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('19', '9', '12');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('20', '10', '12');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('21', '1', '12');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('22', '2', '12');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('23', '3', '12');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('24', '4', '12');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('25', '19', '12');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('26', '9', '12');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('39', '31', '21');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('40', '7', '14');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('41', '8', '14');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('42', '9', '14');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('43', '10', '14');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('44', '4', '14');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('45', '11', '14');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('46', '22', '14');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('47', '23', '14');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('48', '31', '23');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('49', '33', '23');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('50', '31', '24');
INSERT INTO `tb_admin_adminchild_have_permissions` VALUES ('51', '33', '24');

-- ----------------------------
-- Table structure for `tb_admin_adminchild_info`
-- ----------------------------
DROP TABLE IF EXISTS `tb_admin_adminchild_info`;
CREATE TABLE `tb_admin_adminchild_info` (
  `a_id` int(1) NOT NULL AUTO_INCREMENT,
  `a_login_name` varchar(16) CHARACTER SET utf8 NOT NULL,
  `a_login_pwd` varchar(50) NOT NULL,
  `a_sex` int(1) DEFAULT '1' COMMENT '1:男；2:女',
  `a_tel` varchar(11) DEFAULT NULL,
  `a_email` varchar(50) DEFAULT NULL,
  `a_photo_url` varchar(200) DEFAULT NULL,
  `a_city` varchar(10) DEFAULT NULL,
  `a_create_id` int(9) NOT NULL COMMENT '创建此用户的人',
  `a_desc` varchar(100) DEFAULT NULL,
  `a_status` int(1) DEFAULT '1' COMMENT '1:账户正常启用；2:禁止使用',
  `a_create_date` datetime NOT NULL,
  PRIMARY KEY (`a_id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=gbk;

-- ----------------------------
-- Records of tb_admin_adminchild_info
-- ----------------------------
INSERT INTO `tb_admin_adminchild_info` VALUES ('2', 'inlongad', '8C3C51CC480F3B1C', '1', null, null, null, null, '0', null, '1', '2015-12-10 22:14:40');
INSERT INTO `tb_admin_adminchild_info` VALUES ('12', 'testtest', 'D30036A61223C6F3339434E9C5C8A928', '1', null, null, null, null, '0', null, '1', '2015-12-10 22:14:37');

-- ----------------------------
-- Table structure for `tb_admin_admininfo`
-- ----------------------------
DROP TABLE IF EXISTS `tb_admin_admininfo`;
CREATE TABLE `tb_admin_admininfo` (
  `a_id` int(1) NOT NULL AUTO_INCREMENT,
  `a_login_name` varchar(16) CHARACTER SET utf8 NOT NULL,
  `a_login_pwd` varchar(50) NOT NULL,
  `a_sex` int(1) DEFAULT '1' COMMENT '1:男；2:女',
  `a_tel` varchar(11) DEFAULT NULL,
  `a_email` varchar(50) DEFAULT NULL,
  `a_photo_url` varchar(200) DEFAULT NULL,
  `a_city` varchar(10) DEFAULT NULL,
  `a_desc` varchar(100) DEFAULT NULL,
  `a_status` int(1) DEFAULT '1' COMMENT '1:账户正常启用；2:禁止使用',
  PRIMARY KEY (`a_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=gbk;

-- ----------------------------
-- Records of tb_admin_admininfo
-- ----------------------------
INSERT INTO `tb_admin_admininfo` VALUES ('1', 'hexiugang', 'D30036A61223C6F3339434E9C5C8A928', '1', null, null, null, null, null, '1');
INSERT INTO `tb_admin_admininfo` VALUES ('2', 'inlongad', '8C3C51CC480F3B1C', '1', null, null, null, null, null, '1');

-- ----------------------------
-- Table structure for `tb_admin_menu_ermissions`
-- ----------------------------
DROP TABLE IF EXISTS `tb_admin_menu_ermissions`;
CREATE TABLE `tb_admin_menu_ermissions` (
  `e_id` int(9) NOT NULL AUTO_INCREMENT,
  `e_name` varchar(50) CHARACTER SET utf8 NOT NULL,
  `e_url` varchar(100) CHARACTER SET utf8 NOT NULL,
  `e_desc` varchar(100) CHARACTER SET utf8 NOT NULL,
  `p_id` int(9) NOT NULL,
  `e_status` int(9) NOT NULL DEFAULT '0' COMMENT '菜单状态，默认为0表示启用，1表示不启用',
  `e_img` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`e_id`),
  KEY `p_id` (`p_id`) USING BTREE,
  CONSTRAINT `tb_admin_menu_ermissions_ibfk_1` FOREIGN KEY (`p_id`) REFERENCES `tb_admin_menu_permissions` (`p_id`)
) ENGINE=InnoDB AUTO_INCREMENT=50 DEFAULT CHARSET=gbk COMMENT='InnoDB free: 7168 kB; (`p_id`) REFER `mxj/tb_admin_permissions`(`p_id`)';

-- ----------------------------
-- Records of tb_admin_menu_ermissions
-- ----------------------------
INSERT INTO `tb_admin_menu_ermissions` VALUES ('1', '添加商品', '/admin/goods/addToGetType', '添加商品', '3', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('2', '商品管理', '/admin/goods/list', '商品管理', '3', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('3', '商品类型管理', '/admin/goods/goodsType', '商品类型管理', '3', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('4', '分享统计', '/admin/goods/extendList', '个人分享管理', '4', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('5', '猫币奖励规则', '/admin/goods/rewardsList', '猫币奖励规则', '6', '1', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('6', '订单管理', '/admin/goods/orderList?status=3', '订单管理', '1', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('7', '首次关注回复', '/admin/selectFirstJoinKey', '首次关注回复', '2', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('8', '添加关键字回复', '/admin/keyword/getlistpage', '添加关键字回复', '2', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('9', '图文素材管理', '/admin/material/list', '图文素材管理', '2', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('10', '自定义菜单', '/admin/menu/showmenu', '自定义菜单', '2', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('11', '会员管理', '/admin/system/list', '会员管理', '4', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('18', '添加优惠券', '/admin/goods/toAddFavorable', '录入优惠券信息', '5', '1', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('19', '查看优惠券', '/admin/goods/favorableList', '查看优惠券信息', '5', '1', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('20', '修改密码', '/admin/updatePwdUI', '修改个人信息', '7', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('21', '销售统计', '/admin/goods/statisticalOrder', '销售统计', '1', '1', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('22', '添加推广渠道', '/admin/channel/addUI', '添加渠道信息', '8', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('23', '渠道统计', '/admin/channel/list', '渠道统计', '8', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('24', '添加二级管理员', '/admin/admin/addUI', '添加二级管理员', '9', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('25', '查看二级管理员', '/admim/listUI', '查看二级管理员', '9', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('26', '删除二级管理员', '/admin/admin/deleteUI', '删除二级管理员', '9', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('27', '修改二级管理员权限', '/admin/admin/updateUI', '修改二级管理员权限', '9', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('28', '批量添加优惠劵', '/admin/goods/tobatchAddFavorable', '批量添加优惠劵', '5', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('29', '贱友统计', '/admin/system/allCatFriendList', '会员管理中所有贱友统计', '4', '1', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('30', '猫币使用记录', '/admin/goods/catMoneyLogs', '猫币使用记录', '6', '1', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('31', '代理商订单管理', '/admin/goods/orderListAgent', '代理商订单管理', '1', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('32', '管理员订单管理', '/admin/goods/orderListAdmin', '管理员订单管理', '1', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('33', '代理商查看会员', '/admin/goods/userListAgent', '代理商查看会员', '4', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('34', '商品库存列表', '/admin/goods/goodsList', '商品库存列表', '3', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('35', '查看促销活动', '/admin/goods/promotion', '查看促销活动', '11', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('36', '抢购', '/admin/goods/seckillActivity', '抢购', '11', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('37', '活动控制', '/admin/activityControl', '猫小贱游戏活动的控制', '11', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('38', '二维码管理', '/admin/qrcode/list', '二维码管理', '2', '1', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('39', '回收二维码', '/admin/qrcode/back', '回收二维码', '2', '1', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('40', '猫币异常管理', '/admin/error/list', '异常猫币管理', '4', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('41', '新品推荐', '/admin/goods/toNewGoodsEdit', '新品推荐的编辑管理', '3', '1', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('42', '查看微信管理员', '/admin/wx/toWxAdminList', '微信管理员列表', '7', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('43', '添加微信管理员', '/admin/wx/toWxAdminEdit', '编辑微信管理员', '7', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('44', '新品特价', '/admin/goods', '新品特价编辑', '3', '1', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('45', '查看游戏', '/admin/game/list', '查看游戏', '11', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('46', '添加门店', '/admin/stores/addStore', '门店门店', '14', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('47', '门店管理', '/admin/stores/toStoreList', '门店列表', '14', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('48', '导入数据', '/admin/goods//toDataImport/1', '数据导入', '15', '0', null);
INSERT INTO `tb_admin_menu_ermissions` VALUES ('49', '导出数据', '/admin/goods//toDataImport/2', '数据导出', '15', '0', null);

-- ----------------------------
-- Table structure for `tb_admin_menu_permissions`
-- ----------------------------
DROP TABLE IF EXISTS `tb_admin_menu_permissions`;
CREATE TABLE `tb_admin_menu_permissions` (
  `p_id` int(9) NOT NULL AUTO_INCREMENT,
  `p_name` varchar(50) CHARACTER SET utf8 NOT NULL,
  `p_url` varchar(100) NOT NULL,
  `p_desc` varchar(100) NOT NULL,
  `p_img` varchar(100) NOT NULL,
  PRIMARY KEY (`p_id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=gbk;

-- ----------------------------
-- Records of tb_admin_menu_permissions
-- ----------------------------
INSERT INTO `tb_admin_menu_permissions` VALUES ('1', '订单管理', '/admin/goods/', 'menu-article', '&#xe616;');
INSERT INTO `tb_admin_menu_permissions` VALUES ('2', '微信管理', '/admin/wx', 'menu-picture', '&#xe613;');
INSERT INTO `tb_admin_menu_permissions` VALUES ('3', '商品管理', '/admin/goods', 'menu-product', '&#xe620;');
INSERT INTO `tb_admin_menu_permissions` VALUES ('4', '会员管理', '/admin/user', 'menu-page', '&#xe626;');
INSERT INTO `tb_admin_menu_permissions` VALUES ('5', '优惠券管理', '/admin/', 'menu-comments', '&#xe622;');
INSERT INTO `tb_admin_menu_permissions` VALUES ('6', '猫币管理', '/admin/moeny', 'menu-order', '&#xe63a;');
INSERT INTO `tb_admin_menu_permissions` VALUES ('7', '管理员信息管理', '/admin/system', 'menu-member', '&#xe60d;');
INSERT INTO `tb_admin_menu_permissions` VALUES ('8', '渠道管理', '/admin/channel/', 'menu-admin', '&#xe62d;');
INSERT INTO `tb_admin_menu_permissions` VALUES ('9', '二级管理员管理', '/admin/admin/', 'menu-tongji', '&#xe61a;');
INSERT INTO `tb_admin_menu_permissions` VALUES ('11', '促销活动管理', '/admin/goods/', 'menu-system', '&#xe62e;');
INSERT INTO `tb_admin_menu_permissions` VALUES ('14', '门店管理', '/admin/stores', 'menu-system', '&#xe62e;');
INSERT INTO `tb_admin_menu_permissions` VALUES ('15', '数据管理', '/admin/goods', 'menu-system', '&#xe62e;');

-- ----------------------------
-- Table structure for `tb_admin_menu_permission_auxiliary`
-- ----------------------------
DROP TABLE IF EXISTS `tb_admin_menu_permission_auxiliary`;
CREATE TABLE `tb_admin_menu_permission_auxiliary` (
  `a_id` int(9) NOT NULL AUTO_INCREMENT,
  `e_id` int(9) NOT NULL,
  `a_url` varchar(100) NOT NULL,
  PRIMARY KEY (`a_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of tb_admin_menu_permission_auxiliary
-- ----------------------------
INSERT INTO `tb_admin_menu_permission_auxiliary` VALUES ('1', '6', '/test/test/test1');
INSERT INTO `tb_admin_menu_permission_auxiliary` VALUES ('2', '6', '/test/test/test2');

-- ----------------------------
-- Table structure for `tb_wx_config`
-- ----------------------------
DROP TABLE IF EXISTS `tb_wx_config`;
CREATE TABLE `tb_wx_config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `ticket` varchar(100) DEFAULT NULL,
  `create_time` bigint(20) DEFAULT NULL,
  `appid` varchar(20) DEFAULT NULL,
  `appsecret` varchar(50) DEFAULT NULL,
  `wxpub_name` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of tb_wx_config
-- ----------------------------
INSERT INTO `tb_wx_config` VALUES ('1', 'kgt8ON7yVITDhtdwci0qeVE3drDZogis7Z9H2I9I5u_mOwJt3mbA5WJF4-WVFmiNbuxnobm8H8vYwvRMmPhe5w', '1446187787998', 'wx6bfdb59a6da172a4', 'cdb9075e7ecad945ba788bc5aed86d4d', '猫小贱');

-- ----------------------------
-- Table structure for `tb_wx_firstjoinkey`
-- ----------------------------
DROP TABLE IF EXISTS `tb_wx_firstjoinkey`;
CREATE TABLE `tb_wx_firstjoinkey` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `createTime` datetime DEFAULT NULL,
  `imageTextNo` bigint(20) DEFAULT NULL,
  `reMessageType` varchar(255) DEFAULT NULL,
  `reText` varchar(3000) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `vchar1` varchar(255) DEFAULT NULL,
  `vchar2` varchar(255) DEFAULT NULL,
  `vchar3` varchar(255) DEFAULT NULL,
  `vchar4` varchar(255) DEFAULT NULL,
  `wxpublicNo` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of tb_wx_firstjoinkey
-- ----------------------------
INSERT INTO `tb_wx_firstjoinkey` VALUES ('1', '2015-06-02 10:04:00', '3', '2', null, null, null, null, null, null, 'gh_e9959af26f73');
INSERT INTO `tb_wx_firstjoinkey` VALUES ('2', '2015-12-08 20:35:37', '4', '2', null, null, null, null, null, null, 'gh_82bcdeffb086');

-- ----------------------------
-- Table structure for `tb_wx_imagetextinfo`
-- ----------------------------
DROP TABLE IF EXISTS `tb_wx_imagetextinfo`;
CREATE TABLE `tb_wx_imagetextinfo` (
  `imageTextNo` bigint(20) NOT NULL AUTO_INCREMENT,
  `clickOutUrl` varchar(255) DEFAULT NULL,
  `clickUrl` varchar(255) DEFAULT NULL,
  `createTime` datetime DEFAULT NULL,
  `digest` varchar(255) DEFAULT NULL,
  `imageTextType` varchar(255) DEFAULT NULL,
  `imageUrl` varchar(255) DEFAULT NULL,
  `mainText` varchar(255) DEFAULT NULL,
  `sourceUrl` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `wxpublicNo` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`imageTextNo`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of tb_wx_imagetextinfo
-- ----------------------------
INSERT INTO `tb_wx_imagetextinfo` VALUES ('1', '', null, '2015-05-29 15:31:54', '', '1', '20150602101707-1368433214.jpg', '<p>789</p>', '', '529', 'gh_e9959af26f73');
INSERT INTO `tb_wx_imagetextinfo` VALUES ('2', '', null, '2015-06-02 10:20:07', null, '2', '20150602101815-606157316.png', '<p>123</p>', '', '11', 'gh_e9959af26f73');
INSERT INTO `tb_wx_imagetextinfo` VALUES ('3', '', null, '2015-06-01 17:15:43', '', '1', '20150604100103-1854082920.jpg', '<p>猫小贱要上线了啊</p>', '', '英雄联盟', 'gh_e9959af26f73');
INSERT INTO `tb_wx_imagetextinfo` VALUES ('4', '', null, '2015-07-06 11:21:53', '', '1', '20150706112146-1916103928.png', '<p>aaa</p>', '', 'aaaaaaaa', 'gh_82bcdeffb086');
INSERT INTO `tb_wx_imagetextinfo` VALUES ('6', 'http://wx.jiancat.com/goods/catminmei/index', null, '2015-07-06 16:25:20', '你就是我要寻找的猫小美！！', '2', '20150706160320-90493468.jpg', '', '', '猫小美邀请函', 'gh_82bcdeffb086');
INSERT INTO `tb_wx_imagetextinfo` VALUES ('7', 'materialmaterialmaterial', null, '2015-12-08 21:51:38', '', '2', '/ratfw/common/images/uploadimages/image/20151208/20151208214337_841.png', 'materialmaterialmaterialmaterialmaterialmaterial', '', 'material', 'gh_82bcdeffb086');
INSERT INTO `tb_wx_imagetextinfo` VALUES ('8', 'materialmaterialmaterial', null, '2015-12-08 21:53:08', '', '2', '/ratfw/common/images/uploadimages/image/20151208/20151208214337_841.png', 'materialmaterialmaterialmaterialmaterialmaterial', '', 'material', 'gh_82bcdeffb086');
INSERT INTO `tb_wx_imagetextinfo` VALUES ('9', 'desc-block', null, '2015-12-08 21:55:11', 'desc-blockdesc-blockdesc-blockdesc-blockdesc-blockdesc-blockdesc-block', '2', '/ratfw/common/images/uploadimages/image/20151208/20151208214337_841.png', 'desc-blockdesc-blockdesc-blockdesc-block', 'test', 'æ¬¢è¿å³æ³¨æ²æ± å¾®ä¿¡ååº', 'gh_82bcdeffb086');
INSERT INTO `tb_wx_imagetextinfo` VALUES ('10', 'desc-block', null, '2015-12-08 21:55:27', 'desc-blockdesc-blockdesc-blockdesc-blockdesc-blockdesc-blockdesc-block', '2', '/ratfw/common/images/uploadimages/image/20151208/20151208214337_841.png', 'desc-blockdesc-blockdesc-blockdesc-block', 'test', 'æ¬¢è¿å³æ³¨æ²æ± å¾®ä¿¡ååº', 'gh_82bcdeffb086');
INSERT INTO `tb_wx_imagetextinfo` VALUES ('11', 'http://clickOuturl', null, '2015-12-08 21:56:46', '这个是摘要', '2', '/ratfw/common/images/uploadimages/image/20151208/20151208214337_841.png', '这个是正文&nbsp;&nbsp;&nbsp;&nbsp;', 'http://descUrl', '欢迎关注沙池微信商场', 'gh_82bcdeffb086');

-- ----------------------------
-- Table structure for `tb_wx_imagetextmore`
-- ----------------------------
DROP TABLE IF EXISTS `tb_wx_imagetextmore`;
CREATE TABLE `tb_wx_imagetextmore` (
  `moreImageTextNo` bigint(20) NOT NULL AUTO_INCREMENT,
  `clickOutUrl` varchar(255) DEFAULT NULL,
  `clickUrl` varchar(255) DEFAULT NULL,
  `createTime` datetime DEFAULT NULL,
  `digest` varchar(255) DEFAULT NULL,
  `imageTextNo` bigint(20) DEFAULT NULL,
  `imageTextType` varchar(255) DEFAULT NULL,
  `imageUrl` varchar(255) DEFAULT NULL,
  `mainText` varchar(255) DEFAULT NULL,
  `sourceUrl` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `wxpublicNo` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`moreImageTextNo`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of tb_wx_imagetextmore
-- ----------------------------
INSERT INTO `tb_wx_imagetextmore` VALUES ('1', '', null, '2015-06-02 10:20:07', null, '2', null, '20150602102002-1663295438.jpg', '<p>														</p><p>79314</p><p><br/></p><p><br/></p><p>\n						\n						</p>', '', '22', null);

-- ----------------------------
-- Table structure for `tb_wx_keyword`
-- ----------------------------
DROP TABLE IF EXISTS `tb_wx_keyword`;
CREATE TABLE `tb_wx_keyword` (
  `keyServiceNo` bigint(20) NOT NULL AUTO_INCREMENT,
  `createTime` datetime DEFAULT NULL,
  `keyType` varchar(255) DEFAULT NULL,
  `keyWord` varchar(255) DEFAULT NULL,
  `reType` varchar(255) DEFAULT NULL,
  `refImageTextId` bigint(20) DEFAULT NULL,
  `refText` varchar(255) DEFAULT NULL,
  `refVedioId` varchar(255) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `vchar1` varchar(255) DEFAULT NULL,
  `vchar2` varchar(255) DEFAULT NULL,
  `vchar3` varchar(255) DEFAULT NULL,
  `vchar4` varchar(255) DEFAULT NULL,
  `wxpublicNo` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`keyServiceNo`)
) ENGINE=InnoDB AUTO_INCREMENT=52 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of tb_wx_keyword
-- ----------------------------
INSERT INTO `tb_wx_keyword` VALUES ('49', '2015-07-06 13:35:15', null, '测试', '1', '0', '', null, null, null, null, null, null, 'gh_82bcdeffb086');
INSERT INTO `tb_wx_keyword` VALUES ('50', '2015-07-06 15:52:50', null, '猫小美', '2', '6', null, null, null, null, null, null, null, 'gh_82bcdeffb086');
INSERT INTO `tb_wx_keyword` VALUES ('51', '2015-07-06 16:12:10', null, 's', '2', '6', null, null, null, null, null, null, null, 'gh_82bcdeffb086');

-- ----------------------------
-- Table structure for `tb_wx_menuinfo`
-- ----------------------------
DROP TABLE IF EXISTS `tb_wx_menuinfo`;
CREATE TABLE `tb_wx_menuinfo` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menuId` int(11) NOT NULL,
  `menuName` varchar(255) DEFAULT NULL,
  `menuType` varchar(255) DEFAULT NULL,
  `opTime` datetime DEFAULT NULL,
  `orderNo` bigint(20) DEFAULT NULL,
  `parentMenuId` bigint(20) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `vchar1` text,
  `vchar2` varchar(2000) DEFAULT NULL,
  `vchar3` varchar(2000) DEFAULT NULL,
  `vchar4` varchar(255) DEFAULT NULL,
  `wxpublicNo` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of tb_wx_menuinfo
-- ----------------------------
INSERT INTO `tb_wx_menuinfo` VALUES ('1', '101', '戳戳戳!', '3', '2015-06-12 17:07:45', null, '0', 'http://www.jiancat.com/', '[{id:0,pid:0,open:true,name:\"自定义菜单列表\",url:\"\",content:\"\",type:0},{id:101,pid:0,open:true,name:\"戳戳戳!\",url:\"http://www.jiancat.com/\",content:\"\",type:3},{id:103,pid:0,open:true,name:\"买买买!\",url:\"http://www.jiancat.com/goods/index\",content:\"\",type:3},{id:104,pid:0,open:true,name:\"喵喵喵\",url:\"\",content:\"\",type:1},{id:105,pid:101,name:\"免费吃零食\",url:\"\",content:\"\",type:1},{id:106,pid:101,name:\"带盐猫小贱\",url:\"\",content:\"\",type:1},{id:107,pid:101,name:\"我的猫窝\",url:\"\",content:\"\",type:1}]', null, '', null, 'gh_e9959af26f73');
INSERT INTO `tb_wx_menuinfo` VALUES ('2', '102', '猫小贱', '3', '2015-06-12 16:48:06', '1', '101', 'http://www.jiancat.com/goods/index', '[{id:0,pid:0,open:true,name:\"自定义菜单列表\",url:\"\",content:\"\",type:0},{id:101,pid:0,open:true,name:\"微信菜单\",url:\"\",content:\"\",type:2},{id:102,pid:101,name:\"猫小贱\",url:\"http://www.jiancat.com/goods/index\",content:\"1\",type:3},{id:103,pid:0,open:true,name:\"买买买!\",url:\"http://www.jiancat.com/goods/index\",content:\"\",type:3}]', null, '', null, 'gh_e9959af26f73');
INSERT INTO `tb_wx_menuinfo` VALUES ('3', '103', '买买买!', '3', '2015-06-12 17:07:46', null, '0', 'http://www.jiancat.com/goods/index', '[{id:0,pid:0,open:true,name:\"自定义菜单列表\",url:\"\",content:\"\",type:0},{id:101,pid:0,open:true,name:\"戳戳戳!\",url:\"http://www.jiancat.com/\",content:\"\",type:3},{id:103,pid:0,open:true,name:\"买买买!\",url:\"http://www.jiancat.com/goods/index\",content:\"\",type:3},{id:104,pid:0,open:true,name:\"喵喵喵\",url:\"\",content:\"\",type:1},{id:105,pid:101,name:\"免费吃零食\",url:\"\",content:\"\",type:1},{id:106,pid:101,name:\"带盐猫小贱\",url:\"\",content:\"\",type:1},{id:107,pid:101,name:\"我的猫窝\",url:\"\",content:\"\",type:1}]', null, null, null, 'gh_e9959af26f73');
INSERT INTO `tb_wx_menuinfo` VALUES ('4', '104', '喵喵喵', '1', '2015-06-12 17:07:46', null, '0', '', '[{id:0,pid:0,open:true,name:\"自定义菜单列表\",url:\"\",content:\"\",type:0},{id:101,pid:0,open:true,name:\"戳戳戳!\",url:\"http://www.jiancat.com/\",content:\"\",type:3},{id:103,pid:0,open:true,name:\"买买买!\",url:\"http://www.jiancat.com/goods/index\",content:\"\",type:3},{id:104,pid:0,open:true,name:\"喵喵喵\",url:\"\",content:\"\",type:1},{id:105,pid:101,name:\"免费吃零食\",url:\"\",content:\"\",type:1},{id:106,pid:101,name:\"带盐猫小贱\",url:\"\",content:\"\",type:1},{id:107,pid:101,name:\"我的猫窝\",url:\"\",content:\"\",type:1}]', null, null, null, 'gh_e9959af26f73');
INSERT INTO `tb_wx_menuinfo` VALUES ('5', '105', '免费吃零食', '1', '2015-06-12 17:07:46', '1', '101', '', '[{id:0,pid:0,open:true,name:\"自定义菜单列表\",url:\"\",content:\"\",type:0},{id:101,pid:0,open:true,name:\"戳戳戳!\",url:\"http://www.jiancat.com/\",content:\"\",type:3},{id:103,pid:0,open:true,name:\"买买买!\",url:\"http://www.jiancat.com/goods/index\",content:\"\",type:3},{id:104,pid:0,open:true,name:\"喵喵喵\",url:\"\",content:\"\",type:1},{id:105,pid:101,name:\"免费吃零食\",url:\"\",content:\"\",type:1},{id:106,pid:101,name:\"带盐猫小贱\",url:\"\",content:\"\",type:1},{id:107,pid:101,name:\"我的猫窝\",url:\"\",content:\"\",type:1}]', null, null, null, 'gh_e9959af26f73');
INSERT INTO `tb_wx_menuinfo` VALUES ('6', '106', '带盐猫小贱', '1', '2015-06-12 17:07:46', '2', '101', '', '[{id:0,pid:0,open:true,name:\"自定义菜单列表\",url:\"\",content:\"\",type:0},{id:101,pid:0,open:true,name:\"戳戳戳!\",url:\"http://www.jiancat.com/\",content:\"\",type:3},{id:103,pid:0,open:true,name:\"买买买!\",url:\"http://www.jiancat.com/goods/index\",content:\"\",type:3},{id:104,pid:0,open:true,name:\"喵喵喵\",url:\"\",content:\"\",type:1},{id:105,pid:101,name:\"免费吃零食\",url:\"\",content:\"\",type:1},{id:106,pid:101,name:\"带盐猫小贱\",url:\"\",content:\"\",type:1},{id:107,pid:101,name:\"我的猫窝\",url:\"\",content:\"\",type:1}]', null, null, null, 'gh_e9959af26f73');
INSERT INTO `tb_wx_menuinfo` VALUES ('7', '107', '我的猫窝', '1', '2015-06-12 17:07:46', '3', '101', '', '[{id:0,pid:0,open:true,name:\"自定义菜单列表\",url:\"\",content:\"\",type:0},{id:101,pid:0,open:true,name:\"戳戳戳!\",url:\"http://www.jiancat.com/\",content:\"\",type:3},{id:103,pid:0,open:true,name:\"买买买!\",url:\"http://www.jiancat.com/goods/index\",content:\"\",type:3},{id:104,pid:0,open:true,name:\"喵喵喵\",url:\"\",content:\"\",type:1},{id:105,pid:101,name:\"免费吃零食\",url:\"\",content:\"\",type:1},{id:106,pid:101,name:\"带盐猫小贱\",url:\"\",content:\"\",type:1},{id:107,pid:101,name:\"我的猫窝\",url:\"\",content:\"\",type:1}]', null, null, null, 'gh_e9959af26f73');
INSERT INTO `tb_wx_menuinfo` VALUES ('8', '101', '买买买!', '3', '2015-07-04 16:24:32', null, '0', 'http://wx.jiancat.com/goods/index', '[{id:0,pid:0,open:true,name:\"自定义菜单列表\",url:\"\",content:\"\",type:0},{id:101,pid:0,open:true,name:\"买买买!\",url:\"http://wx.jiancat.com/goods/index\",content:\"\",type:3},{id:102,pid:0,open:true,name:\"喵喵喵!\",url:\"http://mp.weixin.qq.com/s?__biz=MzIwMTE0NTYxOQ==&mid=207728188&idx=1&sn=4471e562db6a4d061599895c8bafb50b#rd\",content:\"对不起，猫小贱暂时不能提供服务！\",type:3},{id:103,pid:0,open:true,name:\"戳戳戳!\",url:\"\",content:\"\",type:1},{id:104,pid:103,name:\"免费吃零食\",url:\"http://wx.jiancat.com/goods/order/info.jsp\",content:\"\",type:3},{id:105,pid:103,name:\"带盐猫小贱\",url:\"http://wx.jiancat.com/goods/share\",content:\"\",type:3},{id:106,pid:103,name:\"我的猫窝\",url:\"http://wx.jiancat.com/goods/vipuser\",content:\"\",type:3}]', null, null, null, 'gh_82bcdeffb086');
INSERT INTO `tb_wx_menuinfo` VALUES ('9', '102', '喵喵喵!', '3', '2015-07-04 16:24:32', null, '0', 'http://mp.weixin.qq.com/s?__biz=MzIwMTE0NTYxOQ==&mid=207728188&idx=1&sn=4471e562db6a4d061599895c8bafb50b#rd', '[{id:0,pid:0,open:true,name:\"自定义菜单列表\",url:\"\",content:\"\",type:0},{id:101,pid:0,open:true,name:\"买买买!\",url:\"http://wx.jiancat.com/goods/index\",content:\"\",type:3},{id:102,pid:0,open:true,name:\"喵喵喵!\",url:\"http://mp.weixin.qq.com/s?__biz=MzIwMTE0NTYxOQ==&mid=207728188&idx=1&sn=4471e562db6a4d061599895c8bafb50b#rd\",content:\"对不起，猫小贱暂时不能提供服务！\",type:3},{id:103,pid:0,open:true,name:\"戳戳戳!\",url:\"\",content:\"\",type:1},{id:104,pid:103,name:\"免费吃零食\",url:\"http://wx.jiancat.com/goods/order/info.jsp\",content:\"\",type:3},{id:105,pid:103,name:\"带盐猫小贱\",url:\"http://wx.jiancat.com/goods/share\",content:\"\",type:3},{id:106,pid:103,name:\"我的猫窝\",url:\"http://wx.jiancat.com/goods/vipuser\",content:\"\",type:3}]', null, null, null, 'gh_82bcdeffb086');
INSERT INTO `tb_wx_menuinfo` VALUES ('10', '103', '戳戳戳!', '1', '2015-07-04 16:24:32', null, '0', '', '[{id:0,pid:0,open:true,name:\"自定义菜单列表\",url:\"\",content:\"\",type:0},{id:101,pid:0,open:true,name:\"买买买!\",url:\"http://wx.jiancat.com/goods/index\",content:\"\",type:3},{id:102,pid:0,open:true,name:\"喵喵喵!\",url:\"http://mp.weixin.qq.com/s?__biz=MzIwMTE0NTYxOQ==&mid=207728188&idx=1&sn=4471e562db6a4d061599895c8bafb50b#rd\",content:\"对不起，猫小贱暂时不能提供服务！\",type:3},{id:103,pid:0,open:true,name:\"戳戳戳!\",url:\"\",content:\"\",type:1},{id:104,pid:103,name:\"免费吃零食\",url:\"http://wx.jiancat.com/goods/order/info.jsp\",content:\"\",type:3},{id:105,pid:103,name:\"带盐猫小贱\",url:\"http://wx.jiancat.com/goods/share\",content:\"\",type:3},{id:106,pid:103,name:\"我的猫窝\",url:\"http://wx.jiancat.com/goods/vipuser\",content:\"\",type:3}]', null, null, null, 'gh_82bcdeffb086');
INSERT INTO `tb_wx_menuinfo` VALUES ('11', '104', '免费吃零食', '3', '2015-07-04 16:24:32', '11', '103', 'http://wx.jiancat.com/goods/order/info.jsp', '[{id:0,pid:0,open:true,name:\"自定义菜单列表\",url:\"\",content:\"\",type:0},{id:101,pid:0,open:true,name:\"买买买!\",url:\"http://wx.jiancat.com/goods/index\",content:\"\",type:3},{id:102,pid:0,open:true,name:\"喵喵喵!\",url:\"http://mp.weixin.qq.com/s?__biz=MzIwMTE0NTYxOQ==&mid=207728188&idx=1&sn=4471e562db6a4d061599895c8bafb50b#rd\",content:\"对不起，猫小贱暂时不能提供服务！\",type:3},{id:103,pid:0,open:true,name:\"戳戳戳!\",url:\"\",content:\"\",type:1},{id:104,pid:103,name:\"免费吃零食\",url:\"http://wx.jiancat.com/goods/order/info.jsp\",content:\"\",type:3},{id:105,pid:103,name:\"带盐猫小贱\",url:\"http://wx.jiancat.com/goods/share\",content:\"\",type:3},{id:106,pid:103,name:\"我的猫窝\",url:\"http://wx.jiancat.com/goods/vipuser\",content:\"\",type:3}]', null, null, null, 'gh_82bcdeffb086');
INSERT INTO `tb_wx_menuinfo` VALUES ('12', '105', '带盐猫小贱', '3', '2015-07-04 16:24:32', '12', '103', 'http://wx.jiancat.com/goods/share', '[{id:0,pid:0,open:true,name:\"自定义菜单列表\",url:\"\",content:\"\",type:0},{id:101,pid:0,open:true,name:\"买买买!\",url:\"http://wx.jiancat.com/goods/index\",content:\"\",type:3},{id:102,pid:0,open:true,name:\"喵喵喵!\",url:\"http://mp.weixin.qq.com/s?__biz=MzIwMTE0NTYxOQ==&mid=207728188&idx=1&sn=4471e562db6a4d061599895c8bafb50b#rd\",content:\"对不起，猫小贱暂时不能提供服务！\",type:3},{id:103,pid:0,open:true,name:\"戳戳戳!\",url:\"\",content:\"\",type:1},{id:104,pid:103,name:\"免费吃零食\",url:\"http://wx.jiancat.com/goods/order/info.jsp\",content:\"\",type:3},{id:105,pid:103,name:\"带盐猫小贱\",url:\"http://wx.jiancat.com/goods/share\",content:\"\",type:3},{id:106,pid:103,name:\"我的猫窝\",url:\"http://wx.jiancat.com/goods/vipuser\",content:\"\",type:3}]', null, null, null, 'gh_82bcdeffb086');
INSERT INTO `tb_wx_menuinfo` VALUES ('13', '106', '我的猫窝', '3', '2015-07-04 16:24:32', '13', '103', 'http://wx.jiancat.com/goods/vipuser', '[{id:0,pid:0,open:true,name:\"自定义菜单列表\",url:\"\",content:\"\",type:0},{id:101,pid:0,open:true,name:\"买买买!\",url:\"http://wx.jiancat.com/goods/index\",content:\"\",type:3},{id:102,pid:0,open:true,name:\"喵喵喵!\",url:\"http://mp.weixin.qq.com/s?__biz=MzIwMTE0NTYxOQ==&mid=207728188&idx=1&sn=4471e562db6a4d061599895c8bafb50b#rd\",content:\"对不起，猫小贱暂时不能提供服务！\",type:3},{id:103,pid:0,open:true,name:\"戳戳戳!\",url:\"\",content:\"\",type:1},{id:104,pid:103,name:\"免费吃零食\",url:\"http://wx.jiancat.com/goods/order/info.jsp\",content:\"\",type:3},{id:105,pid:103,name:\"带盐猫小贱\",url:\"http://wx.jiancat.com/goods/share\",content:\"\",type:3},{id:106,pid:103,name:\"我的猫窝\",url:\"http://wx.jiancat.com/goods/vipuser\",content:\"\",type:3}]', null, null, null, 'gh_82bcdeffb086');

-- ----------------------------
-- Table structure for `tb_wx_menukeyset`
-- ----------------------------
DROP TABLE IF EXISTS `tb_wx_menukeyset`;
CREATE TABLE `tb_wx_menukeyset` (
  `menuKeySetNo` bigint(20) NOT NULL AUTO_INCREMENT,
  `createTime` datetime DEFAULT NULL,
  `keyType` varchar(255) DEFAULT NULL,
  `keyWord` varchar(255) DEFAULT NULL,
  `menuId` bigint(20) DEFAULT NULL,
  `reType` varchar(255) DEFAULT NULL,
  `refImageTextId` varchar(255) DEFAULT NULL,
  `refText` varchar(255) DEFAULT NULL,
  `refVedioId` varchar(255) DEFAULT NULL,
  `vchar1` varchar(255) DEFAULT NULL,
  `vchar2` varchar(255) DEFAULT NULL,
  `vchar3` varchar(255) DEFAULT NULL,
  `vchar4` varchar(255) DEFAULT NULL,
  `wxpublicNo` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`menuKeySetNo`)
) ENGINE=InnoDB AUTO_INCREMENT=84 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of tb_wx_menukeyset
-- ----------------------------
INSERT INTO `tb_wx_menukeyset` VALUES ('41', '2015-06-12 17:07:46', null, '101', '101', '3', null, null, null, null, null, null, null, 'gh_e9959af26f73');
INSERT INTO `tb_wx_menukeyset` VALUES ('42', '2015-06-12 17:07:46', null, '103', '103', '3', null, null, null, null, null, null, null, 'gh_e9959af26f73');
INSERT INTO `tb_wx_menukeyset` VALUES ('43', '2015-06-12 17:07:46', null, '104', '104', '1', null, '', null, null, null, null, null, 'gh_e9959af26f73');
INSERT INTO `tb_wx_menukeyset` VALUES ('44', '2015-06-12 17:07:46', null, '105', '105', '1', null, '', null, null, null, null, null, 'gh_e9959af26f73');
INSERT INTO `tb_wx_menukeyset` VALUES ('45', '2015-06-12 17:07:46', null, '106', '106', '1', null, '', null, null, null, null, null, 'gh_e9959af26f73');
INSERT INTO `tb_wx_menukeyset` VALUES ('46', '2015-06-12 17:07:46', null, '107', '107', '1', null, '', null, null, null, null, null, 'gh_e9959af26f73');
INSERT INTO `tb_wx_menukeyset` VALUES ('78', '2015-07-04 16:24:32', null, '101', '101', '3', null, null, null, null, null, null, null, 'gh_82bcdeffb086');
INSERT INTO `tb_wx_menukeyset` VALUES ('79', '2015-07-04 16:24:32', null, '102', '102', '3', null, null, null, null, null, null, null, 'gh_82bcdeffb086');
INSERT INTO `tb_wx_menukeyset` VALUES ('80', '2015-07-04 16:24:32', null, '103', '103', '1', null, '', null, null, null, null, null, 'gh_82bcdeffb086');
INSERT INTO `tb_wx_menukeyset` VALUES ('81', '2015-07-04 16:24:32', null, '104', '104', '3', null, null, null, null, null, null, null, 'gh_82bcdeffb086');
INSERT INTO `tb_wx_menukeyset` VALUES ('82', '2015-07-04 16:24:32', null, '105', '105', '3', null, null, null, null, null, null, null, 'gh_82bcdeffb086');
INSERT INTO `tb_wx_menukeyset` VALUES ('83', '2015-07-04 16:24:32', null, '106', '106', '3', null, null, null, null, null, null, null, 'gh_82bcdeffb086');

-- ----------------------------
-- Table structure for `tb_wx_token`
-- ----------------------------
DROP TABLE IF EXISTS `tb_wx_token`;
CREATE TABLE `tb_wx_token` (
  `t_id` int(1) NOT NULL AUTO_INCREMENT,
  `t_token` varchar(500) NOT NULL,
  `t_enddate` datetime NOT NULL,
  PRIMARY KEY (`t_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of tb_wx_token
-- ----------------------------
INSERT INTO `tb_wx_token` VALUES ('1', 'UU3jSwKHw3W5239IKpgOvTFVMB95IkuMDVKVBJaWqF0f3dHGRFOZ6ntNvPB8dDV5RK6Y6OWRZEguAmWyXlWkteYO_89o0q-qfc3PHVcRr88AJAaAEASBS', '2015-12-31 16:38:07');
