<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,member-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<!--[if lt IE 9]>
<script type="text/javascript" src="lib/html5.js"></script>
<script type="text/javascript" src="lib/respond.min.js"></script>
<script type="text/javascript" src="lib/PIE_IE678.js"></script>
<![endif]-->
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.admin.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/lib/icheck/icheck.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
<!--[if IE 6]>
<script type="text/javascript" src="http://lib.h-ui.net/DD_belatedPNG_0.0.8a-min.js" ></script>
<script>DD_belatedPNG.fix('*');</script>
<![endif]-->
<title>添加优惠券</title>
</head>
<body>
<nav class="breadcrumb"><i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span> 优惠券管理 <span class="c-gray en">&gt;</span> 添加优惠券 <a class="btn btn-success radius r mr-20" style="line-height:1.6em;margin-top:3px" href="javascript:location.replace(location.href);" title="刷新" ><i class="Hui-iconfont">&#xe68f;</i></a></nav>
<div class="pd-20">
	<form action="${pageContext.request.contextPath}/admin/couponType/add" method="post" class="form form-horizontal" id="form-coupon-add">
    <!-- <div class="row cl">
      <label class="form-label col-3"><span class="c-red">*</span>优惠券号：</label>
      <div class="formControls col-5">
	        <span class="form-group" style="width: 100%;">
		        <input class="input-text" type="text" name="" id="couponNO" readonly style="width:65%;">
		        <a href="javascript:void();" class="btn btn-success radius" id="generateCouponNO"><i class="Hui-iconfont">&#xe68f;</i> 生成券号</a>
	        </span>
      </div>
      <div class="col-4"> </div>
    </div> -->
    
    <div class="row cl">
		<label class="form-label col-2"><span class="c-red">*</span>优惠券名称：</label>
		<div class="formControls col-8">
			<input id="couponName" name="couponName" type="text" class="input-text" value="" placeholder="">
		</div>
	</div>
	
	<div class="row cl">
		<label class="form-label col-2"><span class="c-red">*</span>优惠券总数：</label>
		<div class="formControls col-2">
			<input id="couponTotal" type="text" name="couponTotal" id="" placeholder="" value="" class="input-text" style="width:90%"></div>
		<label class="form-label col-2"><span class="c-red">*</span>已领券数：</label>
		<div class="formControls col-2">
			<input id="couponUsedNum" type="text" name="couponUsedNum" id="" placeholder="" value="" class="input-text" style="width:90%"></div>
	</div>
		
	<div class="row cl">
		<label class="form-label col-2"><span class="c-red">*</span>剩余券数：</label>
		<div class="formControls col-2">
			<input id="couponRemainingNum" type="text" name="couponRemainingNum" id="" placeholder="" value="" class="input-text" style="width:90%"></div>
		<label class="form-label col-2"><span class="c-red">*</span>限领券数：</label>
		<div class="formControls col-2">
			<input id="couponGetLimit" type="text" name="couponGetLimit" id="" placeholder="" value="" class="input-text" style="width:90%"></div>
	</div>
		
	<div class="row cl">
		<label id="integralLabel" class="form-label col-2"><span class="c-red">*</span>优惠券类型：</label>
		<div id="integralDiv" class="formControls col-2">
			<span class="select-box">
			<select id="couponType" name="couponType" class="select">
					<option value="1">现金券</option>
					<option value="2">折扣券</option>
			</select>
			</span>
		</div>
		<label id="integralLabel" class="form-label col-2"><span class="c-red">*</span>必须关注：</label>
		<div id="integralDiv" class="formControls col-2">
			<span class="select-box">
			<select id="couponIsConcern" name="couponIsConcern" class="select">
					<option value="1">是</option>
					<option value="2">否</option>
			</select>
			</span>
		</div>
	</div>
		
	<div class="row cl">
			<label id="integralLabel" class="form-label col-2"><span class="c-red">*</span>必须购买：</label>
			<div id="integralDiv" class="formControls col-2">
				<span class="select-box">
				<select id="couponIsPurchase" name="couponIsPurchase" class="select">
					<option value="1">是</option>
					<option value="2">否</option>
				</select>
				</span>
			</div>
			<label id="integralLabel" class="form-label col-2"><span class="c-red">*</span>领券条件：</label>
			<div id="integralDiv" class="formControls col-2">
				<input id="couponConsumeEnough" name="couponConsumeEnough" type="text" class="input-text" value="" placeholder="消费总金额要求（满足条件才能领券）">
			</div>
		</div>
		
		<div class="row cl">
			<label class="form-label col-2"><span class="c-red">*</span>减免率/额：</label>
			<div class="formControls col-2">
				<input id="couponReduce" type="text" name="couponReduce" id="" placeholder="" value="" class="input-text" style="width:90%"></div>
			<label class="form-label col-2"><span class="c-red">*</span>截止时间：</label>
			<div class="formControls col-2">
				<input type="text" class="input-text" placeholder="" onfocus="WdatePicker({maxDate:'2050-10-01', dateFmt:'yyyy-MM-dd HH:mm:ss'})"
					readonly name="couponEndTime" id=couponEndTime datatype="*" nullmsg="请输入截止时间！"  style="width:90%">
			</div>
		</div>
		
		<div class="row cl">
			<label class="form-label col-2"><span class="c-red">*</span>有效天数：</label>
			<div class="formControls col-2">
				<input id="couponGetDays" type="text" name="couponGetDays" id="" placeholder="" value="" class="input-text" style="width:90%"></div>
			<label class="form-label col-2"><span class="c-red">*</span>领券后有效时长：</label>
			<div class="formControls col-2">
				<input id="couponLimitHours" type="text" name="couponLimitHours" id="couponLimitHours" placeholder="" value="" class="input-text" style="width:90%"></div>
		</div>
		
		
		<div class="row cl">
			<label class="form-label col-2"><span class="c-red">*</span>可否赠送他人：</label>
			<div id="integralDiv" class="formControls col-2">
				<span class="select-box">
				<select id="couponIsGive" name="couponIsGive" class="select">
					<option value="1">不允许</option>
					<option value="2">允许</option>
				</select>
				</span>
			</div>
			<label class="form-label col-2"><span class="c-red">*</span>券优先级别：</label>
			<div class="formControls col-2">
				<input id="couponPriorityLevels" type="text" name="couponPriorityLevels" id="" placeholder="" value="" class="input-text" style="width:90%">
			</div>
		</div>
		
		<div class="row cl">
			<label class="form-label col-2"><span class="c-red">*</span>优惠券备注：</label>
			<div id="integralDiv" class="formControls col-2">
				<textarea id="couponRemark" name="couponRemark" class="textarea-text" placeholder="" style="width:200px;height:60px;"></textarea>
			</div>
		</div>
		
    <div class="row cl">
      <div class="col-9 col-offset-3">
        <input class="btn btn-primary radius" onclick="return checkForm()" type="submit" id="submitBtn" value="&nbsp;&nbsp;提交&nbsp;&nbsp;">
      </div>
    </div>
  </form>
</div>
</div>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/icheck/jquery.icheck.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/Validform/5.3.2/Validform.min.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/tips.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/My97DatePicker/WdatePicker.js"></script>  
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script>
<script type="text/javascript">
$(function(){

});

function checkForm(){
	//名称验证
	if(!commonTypeJdg('couponName',null,null,true)){
		layer.msg("优惠券名称不能为空",{icon: 2,time:2000});
		return false;
	}
	//优惠券总数验证
	if(!commonTypeJdg('couponTotal','pInteger',null,true)){
		layer.msg("优惠券总数不能为空!且只能是数字",{icon: 2,time:2000});
		return false;
	}
	//限领券数验证
	if(!commonTypeJdg('couponGetLimit','pInteger',null,true)){
		layer.msg("限领券数不能为空!且只能是数字",{icon: 2,time:2000});
		return false;
	}
	//领券条件验证
	if(!commonTypeJdg('couponConsumeEnough','money',null,true)){
		layer.msg("领券条件不能为空!且须为金钱格式",{icon: 2,time:2000});
		return false;
	}
	if(!commonLengthJdg('couponConsumeEnough',1,9,null,true)){
		layer.msg("领券条件不能为空长度为1-9位",{icon: 2,time:2000});
		return false;
	}
	//减免额不能为空数据验证
	if(!commonTypeJdg('couponReduce','money',null,true)){
		layer.msg("减免额不能为空!且须为金钱格式",{icon: 2,time:2000});
		return false;
	}
	if(!commonLengthJdg('couponReduce',1,9,null,true)){
		layer.msg("减免额不能为空长度为1-9位",{icon: 2,time:2000});
		return false;
	}
	//截止时间验证
	if(!commonTypeJdg('couponEndTime',null,null,true)){
		layer.msg("截止时间不能为空",{icon: 2,time:2000});
		return false;
	}
	//有效天数验证
	if(!commonTypeJdg('couponGetDays','pInteger',null,true)){
		layer.msg("有效天数不能为空!且只能是数字",{icon: 2,time:2000});
		return false;
	}
	//领券后有效时长验证
	if(!commonTypeJdg('couponLimitHours','pInteger',null,true)){
		layer.msg("领券后有效时长不能为空!且只能是数字",{icon: 2,time:2000});
		return false;
	}
	
	//减免额不能为空乘100 取整
	var couponReduce = $("#couponReduce").val();
	$("#couponReduce").val(Math.round(couponReduce * 100));
	//领券条件 乘100 取整
	var couponConsumeEnough = $("#couponConsumeEnough").val();
	$("#couponConsumeEnough").val(Math.round(couponConsumeEnough * 100));
	return true;
}
function reloadWindow() {
	window.location.reload();
}


//关闭隐藏div
function closeDiv() {
	$("#userInfoList").hide();
}

</script>
</body>
</html>