<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,member-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<!--[if lt IE 9]>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/html5.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/respond.min.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/PIE_IE678.js"></script>
<![endif]-->
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.admin.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/lib/icheck/icheck.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
<!--[if IE 6]>
<script type="text/javascript" src="http://lib.h-ui.net/DD_belatedPNG_0.0.8a-min.js" ></script>
<script>DD_belatedPNG.fix('*');</script>
<![endif]-->
<title>修改Banner</title>
<style type="text/css">
	.col-2{width: 20%;}
</style>
</head>
<body>
<div class="pd-20">
	<form class="form form-horizontal" id="form-member-add">
		<div class="row cl">
			<label class="form-label col-2">类型id：</label>
			<div class="formControls col-2">${cType.couponId }</div>
			<label class="form-label col-2">优惠券名称：</label>
			<div class="formControls"> ${cType.couponName }</div>
		</div>
		
		<div class="row cl">
			<label class="form-label col-2">优惠券总数：</label>
			<div class="formControls col-2"> ${cType.couponTotal }</div>
			<label class="form-label col-2">已领券数：</label>
			<div class="formControls col-2"> ${cType.couponUsedNum }</div>
		</div>
			
		<div class="row cl">
			<label class="form-label col-2">剩余券数：</label>
			<div class="formControls col-2">${cType.couponRemainingNum }</div>
			<label class="form-label col-2">限领券数：</label>
			<div class="formControls col-2">${cType.couponGetLimit }</div>
		</div>
			
		<div class="row cl">
			<label id="integralLabel" class="form-label col-2">优惠券类型：</label>
			<div id="integralDiv" class="formControls col-2">
				<c:if test="${cType.couponType == 1 }">现金券</c:if>
				<c:if test="${cType.couponType == 2 }">折扣券</c:if>
			</div>
			<label id="integralLabel" class="form-label col-2">必须关注：</label>
			<div id="integralDiv" class="formControls col-2">
				<c:if test="${cType.couponIsConcern == 1 }">是</c:if>
				<c:if test="${cType.couponIsConcern == 2 }">否</c:if>
			</div>
		</div>
			
		<div class="row cl">
				<label id="integralLabel" class="form-label col-2">必须购买：</label>
				<div id="integralDiv" class="formControls col-2">
					<c:if test="${cType.couponIsPurchase == 1 }">是</c:if>
					<c:if test="${cType.couponIsPurchase == 2 }">否</c:if>
				</div>
				<label id="integralLabel" class="form-label col-2">领券条件：</label>
				<div id="integralDiv" class="formControls col-2"> ${cType.couponConsumeEnough }</div>
			</div>
			
			<div class="row cl">
				<label class="form-label col-2">减免率/额：</label>
				<div class="formControls col-2">${cType.couponReduce }</div>
				<label class="form-label col-2">截止时间：</label>
				<div class="formControls"> 
					<fmt:formatDate value="${cType.couponEndDate }" pattern="YYYY-MM-dd HH:MM:ss"/>
				</div>
			</div>
			
			<div class="row cl">
				<label class="form-label col-2">领券后有效时长：</label>
				<div class="formControls col-2">${cType.couponLimitHours }</div>
				<label class="form-label col-2">更新时间：</label>
				<div class="formControls"> 
					<fmt:formatDate value="${cType.couponUpdateDate }" pattern="YYYY-MM-dd HH:MM:ss"/>
				</div>
			</div>
			
			<div class="row cl">
				<label class="form-label col-2">有效天数：</label>
				<div class="formControls col-2">${cType.couponGetDays }</div>
				<label class="form-label col-2">创建时间：</label>
				<div class="formControls">
					<fmt:formatDate value="${cType.couponCreateDate }" pattern="YYYY-MM-dd HH:MM:ss"/>
				</div>
			</div>
			
			
			<div class="row cl">
				<label class="form-label col-2">可否赠送他人：</label>
				<div id="integralDiv" class="formControls col-2">
					<c:if test="${cType.couponIsGive == 1 }">不允许</c:if>
					<c:if test="${cType.couponIsGive == 2 }">允许</c:if>
				</div>
				<label class="form-label col-2">券优先级别：</label>
				<div class="formControls col-2">
					${cType.couponPriorityLevels }
				</div>
			</div>
			
			<div class="row cl">
				<label class="form-label col-2">优惠券备注：</label>
				<div id="integralDiv" class="formControls">
					${cType.couponRemark }
				</div>
			</div>
			
  	</form>
</div>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/icheck/jquery.icheck.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/Validform/5.3.2/Validform.min.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/My97DatePicker/WdatePicker.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script>
<script type="text/javascript">
$(function(){
	$("#form-member-add").Validform({
		tiptype:2,
		callback:function(form){
			form[0].submit();
		}
	});
});
</script>
</body>
</html>