<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport"
	content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<LINK rel="Bookmark" href="/favicon.ico">
<LINK rel="Shortcut Icon" href="/favicon.ico" />
<!--[if lt IE 9]>
<script type="text/javascript" src="lib/html5.js"></script>
<script type="text/javascript" src="lib/respond.min.js"></script>
<script type="text/javascript" src="lib/PIE_IE678.js"></script>
<![endif]-->
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.admin.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/skin/default/skin.css" rel="stylesheet" type="text/css" id="skin" />
<link href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/style.css" rel="stylesheet" type="text/css" />

<!--[if IE 6]>
<script type="text/javascript" src="lib/DD_belatedPNG_0.0.8a-min.js" ></script>
<script>DD_belatedPNG.fix('*');</script>
<![endif]-->
<title>商品列表</title>
</head>
<body>
	<nav class="breadcrumb">
		<i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span>
		商品管理 <span class="c-gray en">&gt;</span> 商品列表 <a
			class="btn btn-success radius r mr-20"
			style="line-height: 1.6em; margin-top: 3px"
			href="javascript:location.replace(location.href);" title="刷新"><i
			class="Hui-iconfont">&#xe68f;</i></a>
	</nav>
	<div class="pd-20">
	<form action="${pageContext.request.contextPath }/admin/goods/toSelectGoods" method="post">
			<input name="status" value="3" type="hidden">
			<input name="goodsInfoGoodname" id="goodsInfoGoodname" value="${Goodname }" placeholder="商品名称/商品简介" style="width: 300px" class="input-text" type="text">
			价格区间：<input name="minMoney" value="${minMoney }" id="minMoney" style="width: 100px" class="input-text" type="text"> 元 - 
					<input name="maxMoney" value="${maxMoney }" id="maxMoney" style="width: 100px" class="input-text" type="text"> 元&nbsp;&nbsp;
			日期范围： <input  id="beginDate" value="${beginDate }" name="beginDate" class="input-text Wdate" style="width: 120px;" type="text" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',maxDate:'#F{$dp.$D(\'endDate\')||\'%y-%M-%d\'}'})" readonly>
				 - <input  id="endDate" value="${endDate }" name="endDate" class="input-text Wdate" style="width: 120px;" type="text" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',minDate:'#F{$dp.$D(\'beginDate\')||\'%y-%M-%d\'}'})" readonly>
			<button name="" id="submitBtn" onclick="return dataCheck();" class="btn btn-success" type="submit">
				<i class="Hui-iconfont"></i> 搜索
			</button>
		</form>
	<form id="goodsform" >
		<div class="cl pd-5 bg-1 bk-gray mt-20">
			<span class="l"><a href="javascript:;" onclick="datadel('1')"
				class="btn btn-danger radius">上架选中商品</a>&nbsp;
		    </span>
		    <span class="l"><a href="javascript:;" onclick="datadel('2')"
				class="btn btn-danger radius">停止销售选中商品</a>&nbsp;
		    </span>
		    <span class="l"><a href="javascript:;" onclick="datadel('3')"
				class="btn btn-danger radius">删除选中商品</a>&nbsp;
		    </span>
		</div>
		<table class="table table-border table-bordered table-bg">
			<thead>
				<tr>
					<th scope="col" colspan="9">商品列表</th>
				</tr>
				<tr class="text-c">
				<th width="25"><input type="checkbox" name="" value=""></th>
					<th width="150">商品名称</th>
					<th width="90">商品简介图</th>
					<th width="150">销量</th>
					<th width="130">销售价</th>
					<th width="100">商品状态</th>
					<th width="100">商品类型</th>
					<th width="100">商品简称</th>
					<th width="100">操作</th>
				</tr>
			</thead>
			<tbody>
				<c:if test="${! (empty goodinfoInfo) }">
					<c:forEach items="${goodinfoInfo }" var="infolist">
						<tr class="text-c">
						<td><input type="checkbox" value="${infolist.goodsInfoId }" name="goodsInfoId"></td>
							<td>${infolist.goodsInfoGoodname }</td>
							<td><img src="${pageContext.request.contextPath }${infolist.goodsInfoDescImage }" width="50" height="50"></img></td>
							<td>${infolist.goodsInfoSalesnum}</td>
							
							<td>${infolist.goodsInfoPrice }</td>
							<td>${infolist.goodsInfoGoodstatus==1?'在售':''}${infolist.goodsInfoGoodstatus==2?'停止销售':''}${infolist.goodsInfoGoodstatus==3?'删除':''}</td>
							<td><c:forEach items="${typeNameList }" var="typeInfolist">${infolist.goodsInfoTId == typeInfolist.goodTypeId?typeInfolist.goodTypename : ''}</c:forEach></td>
							<td>${infolist.goodsInfoDescname }</td>
							<td class="td-manage">
							<span class="select-box">
								<input id="hiddenGoodstatus" type="hidden" value="${infolist.goodsInfoGoodstatus }">
								<select id="Goodstatus" name="" onchange="updateGoodsStatus(this,${infolist.goodsInfoId })">
									<option value="1" ${infolist.goodsInfoGoodstatus==1?'selected':''}>在售</option>
									<option value="2" ${infolist.goodsInfoGoodstatus==2?'selected':''}>停止销售</option>
									<option value="3" ${infolist.goodsInfoGoodstatus==3?'selected':''}>删除</option>
								</select>
								</span>
							<a title="编辑" href="javascript:;" onclick="goods_edit('${pageContext.request.contextPath }/admin/goods/toupdateGoodsUI/${infolist.goodsInfoId }')" class="ml-5" style="text-decoration:none"><i class="Hui-iconfont">&#xe6df;</i></a> 
							</td>
					</c:forEach>
				</c:if>
			</tbody>
		</table>
		<div align="right" class="mt-10 mb-10 mr-10">
			<%@include file="/common/other/paper/pager.jsp"%>
  		</div>
  		</form>
	</div>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/tips.js"></script> 
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/My97DatePicker/WdatePicker.js"></script> 
	<script type="text/javascript">
	/* $(document).ready(function(){
		$('#beginDate').datepicker();//时间控件
        $('#endDate').datepicker();
	}); */
	function  dataCheck(){
		 //商品名称数据验证
		 if($("#goodsInfoGoodname").val()!= ""){
			if(!commonLengthJdg('goodsInfoGoodname',1,30,null,true)){
				layer.msg("商品名称长度为1-30位",{icon: 5,time:3000});
				return false;
			}
		 }
		//最小价格格式验证
		 if($("#minMoney").val()!= ""){
			if(!commonTypeJdg('minMoney','money',null,true)){
				layer.msg("最小价格须为金钱格式",{icon: 5,time:3000});
				return false;
			}
		 }
		//最大价格格式验证
		if($("#maxMoney").val()!= ""){
			if(!commonTypeJdg('maxMoney','money',null,true)){
				layer.msg("最大价格须为金钱格式",{icon: 5,time:3000});
				return false;
			}
		}
	}
function updateGoodsStatus(_this,id){
	/* var hiddenGoodstatus = $("#hiddenGoodstatus").val(); */
	var obj = $(_this);	
	layer.confirm('确认要修改状态吗？',function(index){
	$.ajax({
        url: '${pageContext.request.contextPath }/admin/goods/updateGoodsGoodstatus',
        type: "POST",
        dataType: "json",
        data: {goodsInfoId : id,goodsInfoGoodstatus : obj.val()},
        error:function(){
      	  layer.msg(data.status,{icon: 5,time:2000});
        },
        success:  function(data){
      	  layer.msg(data.status,{icon: 1,time:2000});
      	  /* $("#Goodstatus").val(obj.val()); */
      	  /* window.location.href = '${pageContext.request.contextPath }/admin/goods/listGoodsUI'; */
        }
    	});
	},function(){
		$.ajax({
	        url: '${pageContext.request.contextPath }/admin/goods/selectGoodStatus',
	        type: "POST",
	        dataType: "json",
	        data: {goodsInfoId : id},
	        error:function(){
	      	  layer.msg(data,{icon: 5,time:2000});
	        },
	        success:  function(data){
	      		obj.val(data);
	        }
	    });
	});

}
/*管理员-全部删除*/
function datadel(goodsInfoGoodstatus){
	var x = "";
		if(goodsInfoGoodstatus === "1"){
			x = "确认要上架选中商品吗？";
		}else if(goodsInfoGoodstatus === "2"){
			x = "确认要停止销售选中商品吗？";
		}else if(goodsInfoGoodstatus === "3"){
			x = "确认要删除选中商品吗？";
		}
	layer.confirm(x,function(index){
	$.ajax({
        url: '${pageContext.request.contextPath }/admin/goods/allDeleteUI?goodsInfoGoodstatus='+goodsInfoGoodstatus,
        type: "POST",
        dataType: "json",
        data: $("#goodsform").serialize(),
        error:function(){
      	  layer.msg(data.status,{icon: 5,time:2000});
        },
        success:  function(data){
      	  layer.msg(data.status,{icon: 1,time:2000},function(){
      		window.location.href = '${pageContext.request.contextPath }/admin/goods/listGoodsUI';
      	  });
      		
        }
    });
});
}
/**
 * 打开修改商品界面
 */
function goods_edit(url){
	window.location.href = url;
}
</script>
</body>
</html>