<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport"
	content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<LINK rel="Bookmark" href="/favicon.ico">
<LINK rel="Shortcut Icon" href="/favicon.ico" />
<!--[if lt IE 9]>
<script type="text/javascript" src="lib/html5.js"></script>
<script type="text/javascript" src="lib/respond.min.js"></script>
<script type="text/javascript" src="lib/PIE_IE678.js"></script>
<![endif]-->
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.admin.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/skin/default/skin.css" rel="stylesheet" type="text/css" id="skin" />
<link href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/style.css" rel="stylesheet" type="text/css" />

<!--[if IE 6]>
<script type="text/javascript" src="lib/DD_belatedPNG_0.0.8a-min.js" ></script>
<script>DD_belatedPNG.fix('*');</script>
<![endif]-->
<title>待入账积分记录列表</title>
</head>
<body>
	<nav class="breadcrumb">
		<i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span>
		待入账积分管理 <span class="c-gray en">&gt;</span>待入账积分列表 <a
			class="btn btn-success radius r mr-20"
			style="line-height: 1.6em; margin-top: 3px"
			href="javascript:location.replace(location.href);" title="刷新"><i
			class="Hui-iconfont">&#xe68f;</i></a>
	</nav>
	<div class="pd-20">
	<form action="${pageContext.request.contextPath }/admin/integralRecord/listEtcFuzzyIntegralUI" method="post">
			<div class="formControls col-2">
			<input name="userId" id="userId" value="${userId }" placeholder="用户名" style="width: 300px" class="input-text" type="text">
			</div>&nbsp;&nbsp;&nbsp;&nbsp;
			<div class="formControls col-2">
			 <span class="select-box">
				<select id="etcIntegralLogType" name="etcIntegralLogType" class="select">
					<option value="" >选择积分类型</option>
					<option value="1" ${etcIntegralLogType==1?'selected':''}>关注奖励</option>
					<option value="2" ${etcIntegralLogType==2?'selected':''}>分享奖励</option>
					<option value="3" ${etcIntegralLogType==3?'selected':''}>订单奖励</option>
					<option value="4" ${etcIntegralLogType==4?'selected':''}>下线贡献</option>
					<option value="5" ${etcIntegralLogType==5?'selected':''}>退订返还</option>
					<option value="6" ${etcIntegralLogType==6?'selected':''}>订单支出</option>
				</select>
			</span>
			</div>
			&nbsp;&nbsp;
			日期范围： <input  id="beginDate" value="${beginDate }" name="beginDate" class="input-text Wdate" style="width: 120px;" type="text" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',maxDate:'#F{$dp.$D(\'endDate\')||\'%y-%M-%d\'}'})" readonly>
				 - <input  id="endDate" value="${endDate }" name="endDate" class="input-text Wdate" style="width: 120px;" type="text" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',minDate:'#F{$dp.$D(\'beginDate\')||\'%y-%M-%d\'}'})" readonly>
			<button name="" id="submitBtn" onclick="return dataCheck();" class="btn btn-success" type="submit">
				<i class="Hui-iconfont"></i> 搜索
			</button>
		</form>
	<form id="goodsform" >
		<table class="table table-border table-bordered table-bg">
			<thead>
				<tr>
					<th scope="col" colspan="9">积分列表</th>
				</tr>
				<tr class="text-c">
					<th width="150">所属用户</th>
					<th width="90">待奖励数量</th>
					<th width="150">待入账积分的类型</th>
					<th width="130">待入账积分简介</th>
					<th width="100">记录类型</th>
					<th width="100">创建时间</th>
					<th width="100">积分到账时间</th>
				</tr>
			</thead>
			<tbody>
				<c:if test="${! (empty memberEtcIntegralList) }">
					<c:forEach items="${memberEtcIntegralList }" var="infolist">
						<tr class="text-c">
							<td><a style="color: blue;" href="${pageContext.request.contextPath }/admin/integralRecord/integralDetailedRecords?userId=${infolist.userId}&nickName=${infolist.userNickname }">${infolist.userNickname }</a></td>
							<td>${infolist.etcIntegralNum }</td>
							<td>${infolist.etcIntegralType==1?'+':''}${infolist.etcIntegralType==2?'-':''}</td>
							<td>${infolist.etcIntegralDesc }</td>
							<td>${infolist.etcIntegralLogType==1?'关注奖励':''}${infolist.etcIntegralLogType==2?'分享奖励':''}${infolist.etcIntegralLogType==3?'订单奖励':''}${infolist.etcIntegralLogType==4?'下线贡献':''}${infolist.etcIntegralLogType==5?'退订返还':''}${infolist.etcIntegralLogType==6?'订单支出':''}</td>
							<td><fmt:formatDate value="${infolist.etcIntegralDate }" pattern="yyyy-MM-dd"/>
							<td><fmt:formatDate value="${infolist.integralDate }" pattern="yyyy-MM-dd"/>
							</td>
					</c:forEach>
				</c:if>
			</tbody>
		</table>
		<div align="right" class="mt-10 mb-10 mr-10">
			<%@include file="/common/other/paper/pager.jsp"%>
  		</div>
  		</form>
	</div>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/tips.js"></script> 
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/My97DatePicker/WdatePicker.js"></script> 
	<script type="text/javascript">
	/* $(document).ready(function(){
		$('#beginDate').datepicker();//时间控件
        $('#endDate').datepicker();
	}); */
	function  dataCheck(){
		 //用户名数据验证
		 if($("#userId").val()!= ""){
			if(!commonLengthJdg('userId',1,30,null,true)){
				layer.msg("用户名长度为1-30位",{icon: 5,time:3000});
				return false;
			}
		 }
		
	}
</script>
</body>
</html>