<%@ page language="java" contentType="text/html; charset=utf-8"
	pageEncoding="utf-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport"
	content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<LINK rel="Bookmark" href="/favicon.ico">
<LINK rel="Shortcut Icon" href="/favicon.ico" />
<!--[if lt IE 9]>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/html5.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/respond.min.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/PIE_IE678.js"></script>
<![endif]-->
<link
	href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css"
	rel="stylesheet" type="text/css" />
<link
	href="${pageContext.request.contextPath }/common/admin/css/H-ui.admin.css"
	rel="stylesheet" type="text/css" />
<link
	href="${pageContext.request.contextPath }/common/admin/skin/default/skin.css"
	rel="stylesheet" type="text/css" id="skin" />
<link
	href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css"
	rel="stylesheet" type="text/css" />
<link
	href="${pageContext.request.contextPath }/common/admin/css/style.css"
	rel="stylesheet" type="text/css" />
<!--[if IE 6]>
<script type="text/javascript" src="http://lib.h-ui.net/DD_belatedPNG_0.0.8a-min.js" ></script>
<script>DD_belatedPNG.fix('*');</script>
<![endif]-->
<title>后台登录 - 爱贝源微商场管理系统</title>
<meta name="keywords" content="水时代微商场管理系统">
</head>
<body>
	<header class="Hui-header cl">
		<a class="Hui-logo l" title="爱贝源微商场管理系统" href="#">爱贝源微商场管理系统</a>
		<a class="Hui-logo-m l" href="#" title="爱贝源微商场管理系统">爱贝源微商场管理系统</a> 
		<span class="Hui-subtitle l">V1.0</span>
		<%-- 快捷操作 --%>
		<nav class="mainnav cl" id="Hui-nav">
			<ul>
			</ul>
		</nav>
		<%-- 管理员个人信息 --%>
		<ul class="Hui-userbar">
			<li>爱贝源管理员</li>
			<li class="dropDown dropDown_hover"><a href="#"
				class="dropDown_A">${login_admin_userinfo.adminLoginName } <i class="Hui-iconfont">&#xe6d5;</i></a>
				<ul class="dropDown-menu radius box-shadow">
					<!-- <li><a href="#">个人信息</a></li>
					<li><a href="#">切换账户</a></li> -->
					<li><a href="${pageContext.request.contextPath }/exitLogin">退出</a></li>
				</ul></li>
			<li id="Hui-skin" class="dropDown right dropDown_hover">
				<a href="javascript:;" title="换肤"><i class="Hui-iconfont" style="font-size: 18px">&#xe62a;</i></a>
				<ul class="dropDown-menu radius box-shadow">
					<li><a href="javascript:;" data-val="default" title="默认（黑色）">默认（黑色）</a></li>
					<li><a href="javascript:;" data-val="blue" title="蓝色">蓝色</a></li>
					<li><a href="javascript:;" data-val="green" title="绿色">绿色</a></li>
					<li><a href="javascript:;" data-val="red" title="红色">红色</a></li>
					<li><a href="javascript:;" data-val="yellow" title="黄色">黄色</a></li>
					<li><a href="javascript:;" data-val="orange" title="绿色">橙色</a></li>
				</ul>
			</li>
		</ul>
		<a aria-hidden="false" class="Hui-nav-toggle" href="#"></a>
	</header>
	<%-- 菜单开始 --%>
	<aside class="Hui-aside">
		<input runat="server" id="divScrollValue" type="hidden" value="" />
		<div class="menu_dropdown bk_2">
			<%-- 一组菜单 --%>
			<c:if test="${! (empty menuInfos) }">
				<c:forEach items="${menuInfos }" var="menu">
					<dl id="${menu.permissionsDesc }">
						<dt>
							<i class="Hui-iconfont">${menu.permissionsImg }</i> ${menu.permissionsName }<i class="Hui-iconfont menu_dropdown-arrow">&#xe6d5;</i>
						</dt>
						<dd>
							<ul>
								<!-- 组装一级菜单下面的二级菜单 -->
								<c:forEach items="${menu.menus }" var="info">
									<li><a _href="${pageContext.request.contextPath }${info.ermissionsUrl }" href="javascript:void(0)">${info.ermissionsName }</a></li>
								</c:forEach>
							</ul>
						</dd>
					</dl>
				</c:forEach>
			</c:if>
		</div>
	</aside>
	<!-- 菜单结束 -->
	<div class="dislpayArrow">
		<a class="pngfix" href="javascript:void(0);"
			onClick="displaynavbar(this)"></a>
	</div>
	<section class="Hui-article-box">
		<div id="Hui-tabNav" class="Hui-tabNav">
			<div class="Hui-tabNav-wp">
				<ul id="min_title_list" class="acrossTab cl">
					<li class="active"><span title="我的桌面" data-href="welcome.jsp">我的桌面</span><em></em></li>
				</ul>
			</div>
			<div class="Hui-tabNav-more btn-group">
				<a id="js-tabNav-prev" class="btn radius btn-default size-S" href="javascript:;"><i class="Hui-iconfont">&#xe6d4;</i></a>
				<a id="js-tabNav-next" class="btn radius btn-default size-S" href="javascript:;"><i class="Hui-iconfont">&#xe6d7;</i></a>
			</div>
		</div>
		<div id="iframe_box" class="Hui-article">
			<div class="show_iframe">
				<div style="display: none" class="loading"></div>
				<iframe scrolling="yes" frameborder="0" src="${pageContext.request.contextPath }/common/admin/welcome/welcome.html"></iframe>
			</div>
		</div>
	</section>
	<script type="text/javascript"
		src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script>
	<script type="text/javascript"
		src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script>
	<script type="text/javascript"
		src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script>
	<script type="text/javascript"
		src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script>
	
</body>
</html>