<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
    <%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
    <%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
    <%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
<meta http-equiv="Expires" content="0">
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Cache-control" content="no-cache">
<meta http-equiv="Cache" content="no-cache">
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.admin.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/style.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
<style type="text/css">
.table td {
    text-align: center;
}
</style>
<title>订单管理</title>
</head>
<body>
	
	<nav class="breadcrumb">
		<i class="Hui-iconfont">&#xe67f;</i> 
		首页 <span class="c-gray en">&gt;</span>
		租赁管理 <span class="c-gray en">&gt;</span> 
		机器分享管理
		<a class="btn btn-success radius r mr-20" style="line-height: 1.6em; margin-top: 3px" href="javascript:location.replace(location.href);" title="刷新">
		<i class="Hui-iconfont">&#xe68f;</i></a>
	</nav>
	<div .pd-20>
		<div class="text-c"  style="padding-top:15px !important;">
		<form action="${pageContext.request.contextPath }/admin/rent_order/list" method="post" id="myForm">
			<input type="hidden" name="orderStatus" value="${orderStatusStr }" />
			订单编号：
			<input type="text" name="text" id="text" value="${text }" placeholder="订单编号" style="width: 150px" class="input-text">
			收货人姓名:
			<input type="text" name="probationSendName" id="probationSendName" value="${probationSendName }" placeholder="收货人姓名" style="width: 150px" class="input-text">
			收货人电话:
			<input type="text" name="probationSendTel" id="probationSendTel" value="${probationSendTel }" placeholder="收货人电话" style="width: 150px" class="input-text">
			收货人地址:
			<input type="text" name="sendAddress" id="sendAddress" value="${sendAddress }" placeholder="收货人地址" style="width: 150px" class="input-text">
			<button name="" id="submitBtn" class="btn btn-success" type="submit">
				<i class="Hui-iconfont">&#xe665;</i> 搜索
			</button>
		</form>
		</div>
		<div class="mt-20">
			<table class="table table-border table-bordered table-bg table-hover table-sort">
				<thead>
					<tr class="text-c">
						<th width="100">分享用户</th>
						<th width="100">领取用户</th>
						<th width="100" class="text-c">激活码</th>
						<th width="100">生成时间</th>
						<th width="100">绑定时间</th>
						<!-- <th width="150">操作</th> -->
					</tr>
				</thead>
				<tbody>
					<c:if test="${ !(empty shareList)}">
						<c:forEach items="${shareList}" var="share">
							<tr >
								<td width="100" class="nick-name-td">${share.shareUserNickName }</td>
								<td width="100" class="nick-name-td">${share.shareReUserNickName }</td>
								<td width="100">${share.shareCode }</td>
								<td width="150"><fmt:formatDate value="${share.shareTime }" pattern="yyyy-MM-dd HH:mm:ss" /></td>
								<td width="150"><fmt:formatDate value="${share.shareBindTime }" pattern="yyyy-MM-dd HH:mm:ss" /></td>
								
								<!-- 遍历操作 -->
								<%-- <td class="td-manage">
									<div class="dropDown dropDown_hover">
									  <a class="dropDown_A" href="#">操作</a>
									  <div class="dropDown-menu box-shadow" style="left:-22px;">
									    <ul>
									    	<c:if test="${!empty order.operations }">
									      	<c:forEach items="${order.operations }" var="oper">
									      		<li><a href="${pageContext.request.contextPath }${oper.url}" lang="${order.rentOrderId }" 
									      					title="${oper.name}" alt="${oper.name}" onclick="return orderAction(this)">
									      				<i class="Hui-iconfont">${oper.img}</i><font>${oper.name}</font>
									      			</a>
									      		</li>
									      	</c:forEach>
									      </c:if>
									    </ul>
									  </div>
									</div>
								</td> --%>
							</tr>
						</c:forEach>
					</c:if>
				</tbody>
				</table>
				</div>
				<div align="right">
					<%@include file="/common/other/paper/pager.jsp"%>
				</div>
				</div>
				<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script> 
				<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/Validform/5.3.2/Validform.min.js"></script> 
				<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script> 
				<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/icheck/jquery.icheck.min.js"></script> 
				<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script> 
				<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script>
				<script type="text/javascript">
				$(function() {
					var $td = $(".nick-name-td");
					if ($td.length > 0) {
						for (var i = 0; i < $td.length; i++) {
							var t = decodeURI($($td[i]).text());
							$($td[i]).text(t);
						}
					}
				});
				</script>
</body>
</html>