<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport"
	content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<LINK rel="Bookmark" href="/favicon.ico">
<LINK rel="Shortcut Icon" href="/favicon.ico" />
<!--[if lt IE 9]>
<script type="text/javascript" src="lib/html5.js"></script>
<script type="text/javascript" src="lib/respond.min.js"></script>
<script type="text/javascript" src="lib/PIE_IE678.js"></script>
<![endif]-->
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.admin.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/skin/default/skin.css" rel="stylesheet" type="text/css" id="skin" />
<link href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/style.css" rel="stylesheet" type="text/css" />

<!--[if IE 6]>
<script type="text/javascript" src="lib/DD_belatedPNG_0.0.8a-min.js" ></script>
<script>DD_belatedPNG.fix('*');</script>
<![endif]-->
<title>省代收益信息列表</title>
</head>
<body>
	<nav class="breadcrumb">
		<i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span>
		统计报表 <span class="c-gray en">&gt;</span> 省代收益信息列表 <a
			class="btn btn-success radius r mr-20"
			style="line-height: 1.6em; margin-top: 3px"
			href="javascript:location.replace(location.href);" title="刷新"><i
			class="Hui-iconfont">&#xe68f;</i></a>
	</nav>
	<div class="pd-20">
	<form action="${pageContext.request.contextPath }/admin/statistics/selectProvinceEarningsList" method="post">
			<input name="text" id="text" value="${text }" placeholder="合伙人名称" style="width: 300px" class="input-text" type="text">
			<button name="" id="submitBtn"  class="btn btn-success" type="submit">
				<i class="Hui-iconfont"></i> 搜索
			</button>
		</form>
	<form id="goodsform" >
	
		<table class="table table-border table-bordered table-bg" id="example">
			<thead>
				<tr>
					<th scope="col" colspan="11">合伙人收益信息列表</th>
				</tr>
				<tr class="text-c">
					<th width="150">合伙人名称</th>
					<th width="100">区域</th>
					<th width="150">门店数</th>
					<th width="90">总可用收益</th>
					<th width="100">总待入收益</th>
					<th width="100">总销售额</th>
				</tr>
			</thead>
			<tbody>
				<c:if test="${! (empty earningsList) }">
					<c:forEach items="${earningsList }" var="earningsInfo">
						<tr class="text-c">
							<td>${earningsInfo.provinceName }</td>
							<td>${earningsInfo.district }</td>
							<td>${earningsInfo.storeNum }</td>
							<td>${earningsInfo.usableMoney/100}</td>
							<td>${earningsInfo.awaitMoney/100 }</td>
							<td>${earningsInfo.marketMoney/100}</td>
					</c:forEach>
				</c:if>
			</tbody>
		</table>
		<div align="right" class="mt-10 mb-10 mr-10">
			<%@include file="/common/other/paper/pager.jsp"%>
  		</div>
  		</form>
	</div>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/tips.js"></script> 
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/My97DatePicker/WdatePicker.js"></script> 
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/datatables/1.10.0/jquery.dataTables.min.js"></script> 
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/js/page/jqPaginator.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/goods/js/utils.js"></script>
	<script type="text/javascript">
	/* $(document).ready(function(){
		$('#beginDate').datepicker();//时间控件
        $('#endDate').datepicker();
	}); */
	
	
function updateProductStatus(_this,id){
	var obj = $(_this);	
	layer.confirm('确认要修改状态吗？',function(index){
	$.ajax({
        url: '${pageContext.request.contextPath }/admin/product/updateStatus',
        type: "POST",
        dataType: "json",
        data: {productId : id,productStatus : obj.val()},
        error:function(data){
      	  layer.msg(data.status,{icon: 5,time:2000});
        },
        success:  function(data){
      	  layer.msg(data.status,{icon: 1,time:2000});
      	  /* $("#Goodstatus").val(obj.val()); */
      	  /* window.location.href = '${pageContext.request.contextPath }/admin/goods/listGoodsUI'; */
        }
    	});
	}
	
	/* ,function(){
		$.ajax({
	        url: '${pageContext.request.contextPath }/admin/product/updateStatus',
	        type: "POST",
	        dataType: "json",
	        data: {productId : id},
	        error:function(){
	      	  layer.msg(data,{icon: 5,time:2000});
	        },
	        success:  function(data){
	      		obj.val(data);
	        }
	    });
	} */
	
	);

}
/**
 * 打开修改商品界面
 */
function goods_edit(url){
	window.location.href = url;
}
</script>
</body>
</html>