<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport"
	content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<LINK rel="Bookmark" href="/favicon.ico">
<LINK rel="Shortcut Icon" href="/favicon.ico" />
<!--[if lt IE 9]>
<script type="text/javascript" src="lib/html5.js"></script>
<script type="text/javascript" src="lib/respond.min.js"></script>
<script type="text/javascript" src="lib/PIE_IE678.js"></script>
<![endif]-->
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.admin.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/skin/default/skin.css" rel="stylesheet" type="text/css" id="skin" />
<link href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/style.css" rel="stylesheet" type="text/css" />

<!--[if IE 6]>
<script type="text/javascript" src="lib/DD_belatedPNG_0.0.8a-min.js" ></script>
<script>DD_belatedPNG.fix('*');</script>
<![endif]-->
<title>统计报表</title>
</head>
<body>
	<nav class="breadcrumb">
		<i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span>
		统计报表 <a
			class="btn btn-success radius r mr-20"
			style="line-height: 1.6em; margin-top: 3px"
			href="javascript:location.replace(location.href);" title="刷新"><i
			class="Hui-iconfont">&#xe68f;</i></a>
	</nav>
	<div class="pd-20">
	<form id="goodsform" >
	<c:if test="${! (empty statisticsInfo) }">
		<table class="table table-border table-bordered table-bg" id="example" style="width:100%;float:right;">
			<thead>
				<tr  class="text-c">
					<th colspan="4">统计报表</th>
				</tr>
				<tr class="text-c">
					<th width="150">已关注总人数</th><td>${statisticsInfo.attentionSum }</td><th width="100">总销售台数</th><td>${statisticsInfo.salesSum }</td>
				</tr>
				<tr class="text-c">
					<th width="130">总金额</th><td>${statisticsInfo.salesMoney/100}</td><th width="150">今日新增关注人数</th><td>${statisticsInfo.newAttentionNum}</td>
				</tr>	
				<tr class="text-c">
					<th width="90">今日取消关注人数</th><td>${statisticsInfo.cancelAttentionNum }</td><th width="100">当前已激活合伙人数量</th><td>${statisticsInfo.provinceNum}</td>
				</tr>
				<tr class="text-c">
					<th width="100">当前已激活vip会员数量</th><td>${statisticsInfo.vipNum}</td><th width="100">当前已激活门店数量</th><td>${statisticsInfo.storeNum}</td>
				</tr>
				<tr class="text-c">
					<th width="100">VIP会员二维码启用数量</th><td>${statisticsInfo.qrCodeNum}</td><th width="100">通过VIP会员二维码销售台数</th><td>${statisticsInfo.storeSalesNum}</td>
				</tr>
				<tr class="text-c">
					<th width="100">通过VIP会员二维码销售总金额</th><td colspan="3">${statisticsInfo.storeSalesMoney/100}</td>
				</tr>
				<tr class="text-c">
					<th width="100">金牌会员二维码启用数量</th><td>${statisticsInfo.qrGoldMedalNum}</td><th width="100">通过金牌会员二维码销售台数</th><td>${statisticsInfo.storeRoldMedalNum}</td>
				</tr>
				<tr class="text-c">
					<th width="100">通过金牌会员二维码销售总金额</th><td colspan="3">${statisticsInfo.storeGoldMedalMoney/100}</td>
				</tr>
			</thead>
		</table>
		</c:if>
  		</form>
	</div>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/tips.js"></script> 
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/My97DatePicker/WdatePicker.js"></script> 
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/datatables/1.10.0/jquery.dataTables.min.js"></script> 
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/js/page/jqPaginator.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/common/goods/js/utils.js"></script>
	<script type="text/javascript">
	/* $(document).ready(function(){
		$('#beginDate').datepicker();//时间控件
        $('#endDate').datepicker();
	}); */
	
</script>
</body>
</html>