<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%
String path = request.getContextPath();
String basePath = path + "/common/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<LINK rel="Bookmark" href="/favicon.ico" >
<LINK rel="Shortcut Icon" href="/favicon.ico" />
<!--[if lt IE 9]>
<script type="text/javascript" src="<%=basePath %>adminlib/html5.js"></script>
<script type="text/javascript" src="<%=basePath %>adminlib/respond.min.js"></script>
<script type="text/javascript" src="<%=basePath %>adminlib/PIE_IE678.js"></script>
<![endif]-->
<link href="<%=basePath %>admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
<link href="<%=basePath %>admin/css/H-ui.admin.css" rel="stylesheet" type="text/css" />
<link href="<%=basePath %>admin/css/style.css" rel="stylesheet" type="text/css" />
<link href="<%=basePath %>admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
<!--[if IE 6]>
<script type="text/javascript" src="lib/DD_belatedPNG_0.0.8a-min.js" ></script>
<script>DD_belatedPNG.fix('*');</script>
<![endif]-->
<title>预约申请列表</title>
</head>
<body>
<nav class="breadcrumb"><i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span> 定期销售奖励 <span class="c-gray en">&gt;</span> 奖励任务列表 <a class="btn btn-success radius r mr-20" style="line-height:1.6em;margin-top:3px" href="javascript:location.replace(location.href);" title="刷新" ><i class="Hui-iconfont">&#xe68f;</i></a></nav>
<div class="pd-20">
	<div class="text-c">
	</div>
	<div class="cl pd-5 bg-1 bk-gray mt-20"> 
		<span class="l">
			<a href="${pageContext.request.contextPath }/admin/task/add" class="btn btn-primary radius">
				<i class="Hui-iconfont">&#xe600;</i> 添加任务
			</a>
		</span>
	</div>
	<table class="table table-border table-bordered table-bg">
		<thead>
			<tr>
				<th scope="col" colspan="9">奖励任务列表</th>
			</tr>
			<tr class="text-c">
				<th width="40">简介</th>
				<th width="40">销售数量</th>
				<th width="40">奖励金额</th>
				<th width="80">开始时间</th>
				<th width="40">结束时间</th>
				<th width="150">产品类型</th>
				<th width="40">创建时间</th>
				<th width="40">更新时间</th>
				<th width="40">操作</th>
			</tr>
		</thead>
		<tbody>
			<c:if test="${!empty list }">
				<c:forEach items="${list }" var="obj" varStatus="count">
					<tr class="text-c">
						<td>${obj.taskDesc }</td>
						<td>${obj.taskSalesNum }</td>
						<td>${obj.taskMoney }</td>
						<td><fmt:formatDate value="${obj.taskStartDate }" pattern="yyyy年MM月dd日 HH:mm:ss"/></td>
						<td><fmt:formatDate value="${obj.taskEndDate }" pattern="yyyy年MM月dd日 HH:mm:ss"/></td>
						<td>${obj.productType.typeName}</td>
						<td>
							<fmt:formatDate value="${obj.taskCreateDate }" pattern="yyyy年MM月dd日 HH:mm:ss"/>
						</td>
						<td>
							<fmt:formatDate value="${obj.taskUpdateDate }" pattern="yyyy年MM月dd日 HH:mm:ss"/>
						</td>
						<td class="td-manage">
							<a title="查看完成的人数" href="#" onclick="layer.msg('功能暂未开放!',{icon: 1,time:3000});" class="ml-5" style="text-decoration:none">
								<i class="Hui-iconfont">
									<svg width="10" height="10" viewBox="0 0 200 200" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><defs><style type="text/css"><![CDATA[]]></style></defs><g class="transform-group"><g transform="scale(0.1953125, 0.1953125)"><path d="M832 416C832 186.624 645.376 0 416 0 186.624 0 0 186.624 0 416 0 645.376 186.624 832 416 832 645.376 832 832 645.376 832 416zM416 768C221.888 768 64 610.112 64 416S221.888 64 416 64C610.112 64 768 221.888 768 416S610.112 768 416 768zM996.224 860.48l-173.248-178.752-45.952 44.544 173.632 179.136C956.672 911.36 960 919.424 960 928c0 8.576-3.328 16.64-9.344 22.656-12.416 12.416-32.768 12.48-45.568-0.32l-178.752-173.312-44.544 45.952 178.432 172.992C878.848 1014.656 903.424 1024 928 1024c24.576 0 49.152-9.408 67.904-28.096C1014.016 977.792 1024 953.664 1024 928 1024 902.336 1014.016 878.208 996.224 860.48zM235.136 234.944c-99.84 99.84-99.84 262.208 0 361.984L280.384 551.68c-74.816-74.816-74.816-196.608 0-271.488L235.136 234.944z" fill="#272636"></path></g></g></svg>
								</i>
							</a>
							<a title="编辑" href="${pageContext.request.contextPath }/admin/task/updateUI/${obj.taskId }" class="ml-5" style="text-decoration:none"><i class="Hui-iconfont">&#xe6df;</i></a>
						</td>
					</tr>
				</c:forEach>
			</c:if>
			<c:if test="${empty list }">
				<tr class="text-c"><td colspan="9">暂没有相关数据!</td></tr>
			</c:if>
		</tbody>
	</table>
	<div align="right" class="mt-10 mb-10 mr-10">
		<%@include file="/common/other/paper/pager.jsp"%>
  	</div>
</div>
<script type="text/javascript" src="<%=basePath %>admin/lib/jquery/1.9.1/jquery.min.js"></script>  
<script type="text/javascript" src="<%=basePath %>admin/lib/layer/1.9.3/layer.js"></script> 
<script type="text/javascript" src="<%=basePath %>admin/lib/laypage/1.2/laypage.js"></script> 
<script type="text/javascript" src="<%=basePath %>admin/lib/My97DatePicker/WdatePicker.js"></script> 
<script type="text/javascript" src="<%=basePath %>admin/js/H-ui.js"></script> 
<script type="text/javascript" src="<%=basePath %>admin/js/H-ui.admin.js"></script> 
</body>
</html>